Sync with portage [Thu Aug 18 09:06:35 MSK 2022].

akrasnyh
root 2 years ago
parent c72b6d0300
commit f35ce06c81

Binary file not shown.

Binary file not shown.

@ -0,0 +1,8 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit acct-group
ACCT_GROUP_ID=523

@ -0,0 +1,12 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person" proxied="yes">
<email>spiderx@spiderx.dp.ua</email>
<name>Vladimir Pavljuchenkov</name>
</maintainer>
<maintainer type="project" proxied="proxy">
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
</maintainer>
</pkgmetadata>

Binary file not shown.

@ -0,0 +1,14 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit acct-user
ACCT_USER_ID=523
ACCT_USER_GROUPS=( goaccess )
ACCT_USER_HOME="/var/lib/goaccess"
ACCT_USER_HOME_OWNER="goaccess:goaccess"
ACCT_USER_HOME_PERMS=0770
acct-user_add_deps

@ -0,0 +1,12 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person" proxied="yes">
<email>spiderx@spiderx.dp.ua</email>
<name>Vladimir Pavljuchenkov</name>
</maintainer>
<maintainer type="project" proxied="proxy">
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
</maintainer>
</pkgmetadata>

Binary file not shown.

@ -1 +1,2 @@
DIST emacspeak-39.0.tar.bz2 4989631 BLAKE2B ea58436fd3d7450938de04b74dcefdd9b9c5bee5c8c3bf48dbd2ca5bd5ce5c795a0d4c60ec05ca83c0020ca650b717e378717dc2d68eb56e80653b5045d5b132 SHA512 c0a0c503d6ccc2abb53a8be580997b44e0449c2225e8a64cee73c24d69a28c3f47c0e660a95a6e77dd4d660272ad562ff747ce3c0a989f8fe7c8171f60349173
DIST emacspeak-56.0.tar.bz2 7158646 BLAKE2B 484b98e5fac51d30bd9b2705308042ed9e0a49a4684ca777cbc60368fdadd8206ef212af514a5940509c84fee3fdcad12486a31a47cac658c912d7573a484fb7 SHA512 9b18fada991b914ddd3ed30950e685c1c164434536c3dd119b9ed52db80e7e31b7399c72a584938bfb63daa7e1aa76a1f377d664cc1118ffa7f0a4cbdddf0818

@ -0,0 +1,94 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
NEED_EMACS=26.1
FORCE_PRINT_ELOG=1
DISABLE_AUTOFORMATTING=1
inherit elisp toolchain-funcs readme.gentoo-r1
DESCRIPTION="The emacspeak audio desktop"
HOMEPAGE="http://emacspeak.sourceforge.net/"
if [[ ${PV} == 9999 ]] ; then
EGIT_REPO_URI="https://github.com/tvraman/emacspeak.git"
inherit git-r3
else
SRC_URI="https://github.com/tvraman/emacspeak/releases/download/${PV}/${P}.tar.bz2"
KEYWORDS="~amd64 ~ppc ~x86"
fi
LICENSE="BSD GPL-2"
SLOT="0"
IUSE="+espeak"
# Usually need := dep with tcl anyway but in particular, it's needed
# here as we do a version check in src_compile and bake in the results.
DEPEND="
dev-lang/tcl:=
espeak? ( app-accessibility/espeak-ng )
"
RDEPEND="
${DEPEND}
>=dev-tcltk/tclx-8.4
"
DOC_CONTENTS='
As of version 39.0 and later, the /usr/bin/emacspeak
shell script has been removed downstream in Gentoo.
You should launch emacspeak by another method, for instance
by adding the following to your ~/.emacs file:
(load "/usr/share/emacs/site-lisp/emacspeak/lisp/emacspeak-setup.el")
'
HTML_DOCS=( info/ )
src_configure() {
MAKEOPTS+=" -j1"
tc-export CXX
emake config
}
src_compile() {
emake emacspeak
if use espeak; then
local tcl_version="$(echo 'puts $tcl_version;exit 0' |tclsh)"
if [[ -z ${tcl_version} ]]; then
die 'Unable to detect the installed version of dev-lang/tcl.'
fi
cd servers/native-espeak || die
emake TCL_VERSION="${tcl_version}"
fi
}
src_install() {
emake DESTDIR="${D}" install
if use espeak; then
pushd servers/native-espeak > /dev/null || die
emake DESTDIR="${D}" install
local orig_serverdir="/usr/share/emacs/site-lisp/emacspeak/servers/native-espeak"
local serverfile="${ED}${orig_serverdir}/tclespeak.so"
install -Dm755 "${serverfile}" \
"${ED}/usr/$(get_libdir)/emacspeak/tclespeak.so" || die
rm -f "${serverfile}" || die
dosym -r "/usr/$(get_libdir)/emacspeak/tclespeak.so" \
"${orig_serverdir}/tclespeak.so"
popd > /dev/null || die
fi
dodoc README etc/NEWS* etc/COPYRIGHT
einstalldocs
cd "${ED}"/usr/share/emacs/site-lisp/${PN} || die
rm -rf README etc/NEWS* etc/COPYRIGHT install-guide \
user-guide || die
readme.gentoo_create_doc
}

@ -1,31 +1,38 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
EAPI=8
NEED_EMACS=24
NEED_EMACS=26.1
FORCE_PRINT_ELOG=1
DISABLE_AUTOFORMATTING=1
inherit elisp readme.gentoo-r1
inherit elisp toolchain-funcs readme.gentoo-r1
if [[ ${PV} == "9999" ]] ; then
DESCRIPTION="The emacspeak audio desktop"
HOMEPAGE="http://emacspeak.sourceforge.net/"
if [[ ${PV} == 9999 ]] ; then
EGIT_REPO_URI="https://github.com/tvraman/emacspeak.git"
inherit git-r3
else
SRC_URI="https://${PN}.googlecode.com/files/${P}.tar.bz2"
SRC_URI="https://github.com/tvraman/emacspeak/releases/download/${PV}/${P}.tar.bz2"
KEYWORDS="~amd64 ~ppc ~x86"
fi
DESCRIPTION="the emacspeak audio desktop"
HOMEPAGE="http://emacspeak.sourceforge.net/"
LICENSE="BSD GPL-2"
SLOT="0"
IUSE="+espeak"
DEPEND="espeak? ( app-accessibility/espeak )"
RDEPEND="${DEPEND}
>=dev-tcltk/tclx-8.4"
# Usually need := dep with tcl anyway but in particular, it's needed
# here as we do a version check in src_compile and bake in the results.
DEPEND="
dev-lang/tcl:=
espeak? ( app-accessibility/espeak-ng )
"
RDEPEND="
${DEPEND}
>=dev-tcltk/tclx-8.4
"
DOC_CONTENTS='
As of version 39.0 and later, the /usr/bin/emacspeak
@ -35,9 +42,13 @@ by adding the following to your ~/.emacs file:
(load "/usr/share/emacs/site-lisp/emacspeak/lisp/emacspeak-setup.el")
'
HTML_DOCS=( install-guide user-guide )
HTML_DOCS=( info/ )
src_configure() {
MAKEOPTS+=" -j1"
tc-export CXX
emake config
}
@ -45,33 +56,39 @@ src_compile() {
emake emacspeak
if use espeak; then
local tcl_version="$(echo 'puts $tcl_version;exit 0' |tclsh)"
if [[ -z $tcl_version ]]; then
if [[ -z ${tcl_version} ]]; then
die 'Unable to detect the installed version of dev-lang/tcl.'
fi
cd servers/linux-espeak || die
cd servers/native-espeak || die
emake TCL_VERSION="${tcl_version}"
fi
}
src_install() {
emake DESTDIR="${D}" install
rm "${D}/usr/bin/emacspeak"
if use espeak; then
pushd servers/linux-espeak > /dev/null || die
pushd servers/native-espeak > /dev/null || die
emake DESTDIR="${D}" install
local orig_serverdir="/usr/share/emacs/site-lisp/emacspeak/servers/linux-espeak"
local serverfile="${D}${orig_serverdir}/tclespeak.so"
install -Dm755 "$serverfile" \
"${D}/usr/$(get_libdir)/emacspeak/tclespeak.so" || die
rm -f "$serverfile" || die
dosym "/usr/$(get_libdir)/emacspeak/tclespeak.so" \
"$orig_serverdir/tclespeak.so"
local orig_serverdir="/usr/share/emacs/site-lisp/emacspeak/servers/native-espeak"
local serverfile="${ED}${orig_serverdir}/tclespeak.so"
install -Dm755 "${serverfile}" \
"${ED}/usr/$(get_libdir)/emacspeak/tclespeak.so" || die
rm -f "${serverfile}" || die
dosym -r "/usr/$(get_libdir)/emacspeak/tclespeak.so" \
"${orig_serverdir}/tclespeak.so"
popd > /dev/null || die
fi
dodoc README etc/NEWS* etc/FAQ etc/COPYRIGHT
dodoc README etc/NEWS* etc/COPYRIGHT
einstalldocs
cd "${D}/usr/share/emacs/site-lisp/${PN}" || die
rm -rf README etc/NEWS* etc/FAQ etc/COPYRIGHT install-guide \
cd "${ED}"/usr/share/emacs/site-lisp/${PN} || die
rm -rf README etc/NEWS* etc/COPYRIGHT install-guide \
user-guide || die
readme.gentoo_create_doc
}

@ -17,6 +17,7 @@
<flag name="espeak">Adds support for the espeak tts engine</flag>
</use>
<upstream>
<remote-id type="github">tvraman/emacspeak</remote-id>
<remote-id type="google-code">emacspeak</remote-id>
<remote-id type="sourceforge">emacspeak</remote-id>
</upstream>

@ -1,2 +1 @@
DIST orca-42.1.tar.xz 3700132 BLAKE2B 1310a1b43da709e9b273ce21374fff9fa30fbf08d1d0e171eb7eff4511ad5e2bcee12a2d6549a4c0c8e21526fb6f4b3b311d0e09fd6bfa863e29168809df9c10 SHA512 98f016087317666c4dcc7543d16ffb93214075d49d3708a1aa3dc8b6dd5d9d85c52dd31e650f4511371061c58d53e73455a09d6d7b4405b8a972b58ff1d7db91
DIST orca-42.3.tar.xz 3707048 BLAKE2B b1a03cee97ba2ad17e32b863effba46974f86e5cbdcea72235085e369189e8e92cba8b83931fd83a7b859edfc8da9236f462e250c468ad1533768479eb25aad0 SHA512 59d9d61af2e385d8e356f825fc1733d73d136f89a3a06c352eaf1e7b05cd6ebf5bd13282afb478adb4ea7981398db0138324c3e275eb372b99ba648d9fafeab6

@ -1,63 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{8..10} )
PYTHON_REQ_USE="threads(+)"
inherit gnome2 python-single-r1
DESCRIPTION="Extensible screen reader that provides access to the desktop"
HOMEPAGE="https://wiki.gnome.org/Projects/Orca"
LICENSE="LGPL-2.1+ CC-BY-SA-3.0"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm arm64 ~ia64 ~ppc ~ppc64 ~riscv ~sparc x86"
IUSE="+braille"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
DEPEND="${PYTHON_DEPS}
>=app-accessibility/at-spi2-atk-2.34:2
>=app-accessibility/at-spi2-core-2.36:2[introspection]
>=dev-libs/atk-2.36
>=dev-libs/glib-2.28:2
media-libs/gstreamer:1.0[introspection]
>=x11-libs/gtk+-3.6.2:3[introspection]
$(python_gen_cond_dep '
dev-python/gst-python:1.0[${PYTHON_USEDEP}]
>=dev-python/pygobject-3.18:3[${PYTHON_USEDEP}]
')
braille? (
$(python_gen_cond_dep '
>=app-accessibility/brltty-5.0-r3[python,${PYTHON_USEDEP}]
dev-libs/liblouis[python,${PYTHON_USEDEP}]
')
)
"
RDEPEND="${DEPEND}
dev-libs/atk[introspection]
$(python_gen_cond_dep '
>=app-accessibility/speech-dispatcher-0.8[python,${PYTHON_USEDEP}]
>=dev-python/pyatspi-2.36[${PYTHON_USEDEP}]
dev-python/setproctitle[${PYTHON_USEDEP}]
')
x11-libs/libwnck:3[introspection]
x11-libs/pango[introspection]
"
BDEPEND="
dev-util/itstool
>=sys-devel/gettext-0.19.8
virtual/pkgconfig
"
# app-text/yelp-tools
src_configure() {
gnome2_src_configure \
$(use_with braille liblouis)
}
src_install() {
gnome2_src_install
python_optimize
}

Binary file not shown.

@ -6,3 +6,4 @@ DIST aws-cli-1.25.49.gh.tar.gz 2241270 BLAKE2B 6c5e3c20855df9da322f3e6085f4f6f58
DIST aws-cli-1.25.50.gh.tar.gz 2241527 BLAKE2B 76a594e977bedaeb89bef7b3d61cbd08a157560b3610756719a04a8195b04c5e7480b94a5a6c69494cfe9fd7388550a6b26778e2ab0e1eeeec6e6eb91bfd36e0 SHA512 d112207b0fb654693503baa09ccaf3df3cf8766408a9c4a8533005e8be3cd724d28f197466af1580758ed689ebd3ad0afd895a5c4cfc06c3da15eadda0ca495e
DIST aws-cli-1.25.51.gh.tar.gz 2241823 BLAKE2B 86e7463a8fb63311351d60ac3dcd01a2f87a774dd63430265dbb5546661d6533fa528c81cab72e08d805518c1896779451533a0e4af02ba2565115402a1aae76 SHA512 6ea6d6532dc6e5ad8e3a392cff6034ad3084b8dbdbdcb197ae737f7912088e415da992a56915cf355a7f39206ab28ec3865c10cb618271b2d1f8a71a89a809fd
DIST aws-cli-1.25.52.gh.tar.gz 2241932 BLAKE2B e11ce7250040886ae9a00413c8ce67c929e90b5697a83d36184750d69d947c389afc4fc97d590c64874c2c259ba4a10b97b5d20f6148aee167d9cf6b9af6ff9d SHA512 5c5e06c9e2b0529508edc829c1baa7359238a1e72712e45e269030fd58644fde2f7b94767d1e33b1ff35859a25985f2b00b7d13c96e37dc5999bc7e24cc4f5da
DIST aws-cli-1.25.53.gh.tar.gz 2242474 BLAKE2B 000bb154882210f52f8fe5c40e56d43526b28665a9e5666d7d8b61f95302d411a8f0d0c6eeaef3bd5aff46cfa6ae1133263dc38cb6a7274b4d7058c26005c369 SHA512 82790f15c9fdd736f2bdda976aa5990849521f7af05c95ee9c2c55cf232e140d875b396714be8be1ffba382ebf8f26f8b0a03bc064699de0316ca41156b993b8

@ -0,0 +1,72 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{8..10} )
inherit bash-completion-r1 distutils-r1 multiprocessing
MY_P=aws-cli-${PV}
DESCRIPTION="Universal Command Line Environment for AWS"
HOMEPAGE="
https://github.com/aws/aws-cli/
https://pypi.org/project/awscli/
"
SRC_URI="
https://github.com/aws/aws-cli/archive/${PV}.tar.gz
-> ${MY_P}.gh.tar.gz
"
S=${WORKDIR}/${MY_P}
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~x86"
# botocore is x.(y+2).z
BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 2)).$(ver_cut 3-)"
RDEPEND="
>=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
dev-python/colorama[${PYTHON_USEDEP}]
dev-python/docutils[${PYTHON_USEDEP}]
dev-python/rsa[${PYTHON_USEDEP}]
>=dev-python/s3transfer-0.6.0[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
!app-admin/awscli-bin
"
BDEPEND="
test? (
dev-python/pytest-forked[${PYTHON_USEDEP}]
dev-python/pytest-xdist[${PYTHON_USEDEP}]
)
"
distutils_enable_tests pytest
src_prepare() {
# do not rely on bundled deps in botocore (sic!)
find -name '*.py' -exec sed -i \
-e 's:from botocore[.]vendored import:import:' \
-e 's:from botocore[.]vendored[.]:from :' \
{} + || die
# strip overzealous upper bounds on requirements
sed -i -e 's:,<[0-9.]*::' -e 's:==:>=:' setup.py || die
distutils-r1_src_prepare
}
python_test() {
# integration tests require AWS credentials and Internet access
epytest tests/{functional,unit} -n "$(makeopts_jobs)" --forked
}
python_install_all() {
newbashcomp bin/aws_bash_completer aws
insinto /usr/share/zsh/site-functions
newins bin/aws_zsh_completer.sh _aws
distutils-r1_python_install_all
rm "${ED}"/usr/bin/{aws.cmd,aws_bash_completer,aws_zsh_completer.sh} || die
}

@ -1,2 +1 @@
DIST integrit-4.1.tar.gz 271626 BLAKE2B 538a34c8e5c00e1be66ba35095be4d61402372ea7fd9ba9bfff9149c9a82c43d625ffb345fe84b7561100b31f2a2a1ba319e8b9a7d2b78e44a81d1ed6ae64f3a SHA512 599ae66a193fd87971994f59422e148e1ae01a5ff0fea93a0f2555c972f5254f0213116950766e72c87a57b1bd490f04afd3e0557d25a366c41dbbacc80b6842
DIST integrit-4.2_rc1.tar.gz 223627 BLAKE2B ff0dead8a8903dba0f43c7746672ca2d57aced352df2fef7b195fc90e9b38e77bb21affb40c424c5d23df7dcecf3192c1bff5c7c04d3fcbc5dad0dae60565f93 SHA512 2a86a37c684ca0b78bbf7901c8e72511f1169e8af7e9b4efdeadbade52e8fc7302167f6d82bd02b5af9688a05d13fc56d4f5474e3e04d1aef3dd9f72d782d739

@ -1,65 +0,0 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit autotools
DESCRIPTION="file integrity verification program"
HOMEPAGE="http://integrit.sourceforge.net/"
SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ppc x86"
IUSE=""
PATCHES=( "${FILESDIR}"/${PN}-4.1-fix-build-system.patch )
src_prepare() {
default
mv configure.{in,ac} || die
mv hashtbl/configure.{in,ac} || die
# tests are not executable
chmod +x test/test || die
eautoreconf
}
src_compile() {
emake
emake utils
emake -C doc
emake -C hashtbl hashtest
}
src_install() {
dosbin integrit
dolib.a libintegrit.a
dodoc Changes HACKING README todo.txt
# utils
dosbin utils/i-viewdb
dobin utils/i-ls
# hashtbl
dolib.a hashtbl/libhashtbl.a
doheader hashtbl/hashtbl.h
dobin hashtbl/hashtest
newdoc hashtbl/README README.hashtbl
# doc
doman doc/{i-ls.1,i-viewdb.1,integrit.1}
doinfo doc/integrit.info
# examples
dodoc -r examples
}
pkg_postinst() {
elog "It is recommended that the integrit binary is copied to a secure"
elog "location and re-copied at runtime or run from a secure medium."
elog "You should also create a configuration file (see examples)."
}

@ -11,7 +11,7 @@ SRC_URI="https://github.com/mtsuszycki/${PN}/releases/download/${P}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 ~arm ~hppa ~mips ~ppc x86"
KEYWORDS="amd64 ~arm ~hppa ~mips ppc x86"
RDEPEND="sys-libs/ncurses:="
DEPEND="${RDEPEND}"

@ -1,35 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit autotools
DESCRIPTION="Displays information about users currently logged on in real time"
HOMEPAGE="http://wizard.ae.krakow.pl/~mike/ https://github.com/mtsuszycki/whowatch/"
SRC_URI="https://github.com/mtsuszycki/${PN}/releases/download/${P}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 ~arm ~hppa ~mips ppc x86"
RDEPEND="
sys-libs/ncurses:0=
"
DEPEND="
${RDEPEND}
virtual/pkgconfig
"
PATCHES=(
"${FILESDIR}"/${PN}-1.8.4-tinfo.patch
)
src_prepare() {
default
eautoreconf
}
src_install() {
dobin src/${PN}
doman ${PN}.1
dodoc AUTHORS ChangeLog README TODO
}

Binary file not shown.

@ -1,3 +1 @@
DIST cabextract-1.8.tar.gz 289256 BLAKE2B ba9fea0cd12859b0de97b13362eaf276066650eb7151e0115af7ed2586cfa7497f72be2f9287d3ccb5ce5256ec26ca69e729df5bb0a327bb9f32ded25391460c SHA512 f8d676d6b738b0b13ac1cac7716c2fb46db423ef30b05ee64f00fcb19596131fbd34341c8b417af3de04896e9b6a8abf0d5976ee4bf87d016806a71317246d7a
DIST cabextract-1.9.1.tar.gz 469369 BLAKE2B 5bfc697b40cbf47b42ab7857804b703c9622d8dae1648aae1bb5c0ec7c7978bff01b7ca2526f1b6090f193d88c00e3f49ae111f348d03fec9f575bddbb4b4096 SHA512 c354a4b20a222b40813f01baf8311c9a76611da427f9f44e977a3fd09508e24a18b486e3eef889a9debdca459f1b0c28d5d25429ccd555d3a2e4ff92d91cec14
DIST cabextract-1.9.tar.gz 466334 BLAKE2B 1a82bddca826ee35ed13e1c0b50deca3ae1b7e31d7f427f54b5d6cf9651a727b7cbf8049c1a4326237725e007baecb4356721489611bb5e015bd7460e2530758 SHA512 d144c1df9ed8e8c339bcadb3d1be2eb2576bb066e3f75a3480df0d5e81407a633554e4674b3bb43716c0cf33a0f2327e6f798cd6d7825bceefa0ad839fcc3f64

@ -1,39 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit toolchain-funcs
DESCRIPTION="Extracts files from Microsoft cabinet archive files"
HOMEPAGE="https://www.cabextract.org.uk/"
SRC_URI="https://www.cabextract.org.uk/${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
IUSE="extras"
RDEPEND="extras? ( dev-lang/perl )"
src_prepare() {
default
# the code attempts to set up a fnmatch replacement, but then fails to code
# it properly leading to undefined references to rpl_fnmatch(). This may be
# removed in the future if building still works by setting "yes" to "no".
export ac_cv_func_fnmatch_works=yes
}
src_compile() {
emake AR="$(tc-getAR)"
}
src_install() {
local DOCS=( AUTHORS ChangeLog INSTALL NEWS README TODO doc/magic )
default
docinto html
dodoc doc/wince_cab_format.html
if use extras; then
dobin src/{wince_info,wince_rename,cabinfo,cabsplit}
fi
}

@ -1,72 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
inherit autotools toolchain-funcs
if [[ ${PV} == "9999" ]] ; then
EGIT_REPO_URI="https://github.com/kyz/libmspack.git"
inherit git-r3
MY_P="${PN}-9999"
LIBMSPACK_DEPEND="~dev-libs/libmspack-9999:="
else
KEYWORDS="~alpha amd64 arm hppa ~ia64 ~loong ~mips ppc ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
MY_PV="${PV/_alpha/alpha}"
MY_P="${PN}-${MY_PV}"
SRC_URI="https://www.cabextract.org.uk/${P}.tar.gz"
LIBMSPACK_DEPEND=">=dev-libs/libmspack-0.8_alpha:="
fi
DESCRIPTION="Extracts files from Microsoft cabinet archive files"
HOMEPAGE="https://www.cabextract.org.uk/"
LICENSE="GPL-3"
SLOT="0"
IUSE="extras"
DEPEND="${LIBMSPACK_DEPEND}
virtual/pkgconfig"
RDEPEND="${LIBMSPACK_DEPEND}
extras? ( dev-lang/perl )"
PATCHES=(
"${FILESDIR}"/${P}-fix-bigendian.patch
"${FILESDIR}"/${P}-remove-spurious-test_files.patch
)
src_prepare() {
if [[ ${PV} == "9999" ]] ; then
# Re-create file layout from release tarball
pushd "${WORKDIR}" &>/dev/null || die
cp -aL "${S}"/${PN} "${WORKDIR}"/${PN}-source || die
rm -r "${S}" || die
mv "${WORKDIR}"/${PN}-source "${S}" || die
popd &>/dev/null || die
fi
default
eautoreconf
}
src_configure() {
econf \
--with-external-libmspack=yes
}
src_compile() {
emake AR="$(tc-getAR)"
}
src_install() {
local DOCS=( AUTHORS ChangeLog NEWS README TODO doc/magic )
default
docinto html
dodoc doc/wince_cab_format.html
if use extras; then
dobin src/{wince_info,wince_rename,cabinfo,cabsplit}
fi
}

@ -1,17 +0,0 @@
https://github.com/kyz/libmspack/commit/c19e707936947b45cf05bc9aaee68517c6c2aca6
---
configure.ac | 1 +
1 files changed, 1 insertions(+)
diff --git a/configure.ac b/configure.ac
--- a/configure.ac
+++ b/configure.ac
@@ -30,6 +30,7 @@ AC_CHECK_HEADERS([inttypes.h])
# Checks for typedefs, structures, and compiler characteristics.
AC_C_CONST
AC_C_INLINE
+AC_C_BIGENDIAN
AC_TYPE_MODE_T
AC_TYPE_OFF_T
AC_TYPE_SIZE_T

@ -1,17 +0,0 @@
https://github.com/kyz/libmspack/commit/2f78851e3927b05931574b380ca6dccaf91e3807
---
test/bugs.test | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
--- a/test/bugs.test
+++ b/test/bugs.test
@@ -2,7 +2,7 @@
# test that known crash bugs remain fixed
. test/testcase
-$cabextract -t $test_files/bugs/*.cab
+$cabextract -t bugs/*.cab
# fail if exit code indicates a crash (SIGBUS, SIGSEGV, etc.)
test $? -le 1

@ -1,4 +1 @@
DIST xar-400.tar.gz 213319 BLAKE2B 55b8695313a1a5ae778b62791f716af00edba7e7b01500eac4b951e04cf7b18e84e0d508ac5471996796e5ab59e4628a4f85a63a5929b372555e28b222c77ab1 SHA512 c54850d5443c776f18d788bf7d026b3b08274ee71321d1615238c9fa2d20cc0b21f3f298364b0d0eecd98ce2a6efc8d5039cabd5a21c2419c430d90db004d159
DIST xar-417.1.tar.gz 219350 BLAKE2B 2ca073e52b8d7a12c3d33fb65ccaf0984b912f42e4e9dc52bcaec7af41bafcc530cd055da16646113fb24ee046122425a66351f88279ef79a0f0b2b04ae51f9a SHA512 4c3c61f5289d0b2e380cbde772b383da369ca8ad046f5d779e02f59300288c90c5e31d105a2c01ac17dc719b8b46b55d8d36a8b3b20360f315766fce92dec762
DIST xar-452.tar.gz 220690 BLAKE2B 9728c73734a4bcb31e6e72d3d1a6735d5c78e384e15415641c4f40068f2da9498e9808cc36df6eaf7d3addf8be6d9eb90bdfa2900321e4dbe482156075bcdcd7 SHA512 d6ae9e5687020d20ec12579178f84c852fd485c52cff0ad23b7b31d2eabbde8c7fc85ab33e82eb81a5ddb59df4c26b756894be85061195cd191ab32be1f56b10
DIST xar-487.100.1.tar.gz 224108 BLAKE2B 2fa5c44b46a9e37e49be03d05d6d06ab706b5205d857e6d6f24954160dbf5fc91fbec848053cb2d0a11505e5f7c37f8331ac126d65eb91b08e302a28db12acc0 SHA512 a45d1327ac5c6dc6f1cdb359e7e487fd91cea82a446157b65da34f0481cd58bbe03b0e005643087c802962e89316a1c816e2c6b625f1259b10a52bbf902f79e6

@ -1,55 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit flag-o-matic toolchain-funcs multilib-minimal
APPLE_PV=400
DESCRIPTION="An easily extensible archive format"
HOMEPAGE="https://opensource.apple.com/source/xar/"
SRC_URI="https://opensource.apple.com/tarballs/xar/xar-${APPLE_PV}.tar.gz"
LICENSE="BSD-2"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~ppc ppc64 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
RDEPEND="
elibc_musl? ( sys-libs/fts-standalone )
!kernel_Darwin? (
!kernel_SunOS? ( virtual/acl )
dev-libs/openssl:0=[${MULTILIB_USEDEP}]
)
app-arch/bzip2[${MULTILIB_USEDEP}]
sys-libs/zlib[${MULTILIB_USEDEP}]
dev-libs/libxml2[${MULTILIB_USEDEP}]
"
DEPEND="
${RDEPEND}
virtual/pkgconfig
"
PATCHES=(
"${FILESDIR}"/${PN}-1.6.1-ext2.patch
"${FILESDIR}"/${PN}-1.8-safe_dirname.patch
"${FILESDIR}"/${PN}-1.8-arm-ppc.patch
"${FILESDIR}"/${PN}-1.8-openssl-1.1.patch
)
S=${WORKDIR}/${PN}-${APPLE_PV}/${PN}
multilib_src_configure() {
use kernel_Darwin || append-libs $($(tc-getPKG_CONFIG) --libs openssl)
use elibc_musl && append-libs $($(tc-getPKG_CONFIG) --libs fts-standalone)
ECONF_SOURCE=${S} \
econf \
--disable-static
# botched check, fix it up
if use kernel_SunOS ; then
sed -i -e '/HAVE_SYS_ACL_H/s:^\(.*\)$:/* \1 */:' include/config.h || die
fi
}
multilib_src_install() {
default
find "${D}" -name '*.la' -delete || die
}

@ -1,81 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit flag-o-matic toolchain-funcs multilib-minimal
APPLE_PV=417.1
DESCRIPTION="An easily extensible archive format"
HOMEPAGE="https://opensource.apple.com/source/xar/"
SRC_URI="https://opensource.apple.com/tarballs/xar/xar-${APPLE_PV}.tar.gz"
LICENSE="BSD-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
DEPEND="
elibc_musl? ( sys-libs/fts-standalone )
kernel_linux? ( virtual/acl )
dev-libs/openssl:0=[${MULTILIB_USEDEP}]
app-arch/bzip2[${MULTILIB_USEDEP}]
sys-libs/zlib[${MULTILIB_USEDEP}]
dev-libs/libxml2[${MULTILIB_USEDEP}]
"
RDEPEND="${DEPEND}"
BDEPEND="virtual/pkgconfig"
PATCHES=(
"${FILESDIR}"/${PN}-1.6.1-ext2.patch
"${FILESDIR}"/${PN}-1.8-safe_dirname.patch
"${FILESDIR}"/${PN}-1.8-arm-ppc.patch
"${FILESDIR}"/${PN}-1.8-openssl-1.1.patch
)
S=${WORKDIR}/${PN}-${APPLE_PV}/${PN}
src_prepare() {
default
# make lib headers available (without installing first?)
cd "${S}"/include || die
mv ../lib/*.h . || die
# strip RPATH pointing to ED
cd "${S}"/src || die
sed -i -e 's/@RPATH@//' Makefile.inc.in || die
# avoid GNU make (bug?) behaviour of removing xar.o as intermediate
# file, this doesn't happen outside portage, but it does from the
# ebuild env, causing the install phase to re-compile xar.o and link
# the executable
echo ".PRECIOUS: @objroot@src/%.o" >> Makefile.inc.in || die
# drop Darwin specific reliance on CommonCrypto Framework, for it
# depends on what version of Darwin we're on, and it is much simpler
# to just use openessl instead, which we maintain and control
cd "${S}" || die
sed -i -e 's/__APPLE__/__NO_APPLE__/' \
include/archive.h \
lib/hash.c \
|| die
# fix branding somewhat
sed -i -e "/XAR_VERSION/s|%s|%s (Gentoo ${PVR})|" src/xar.c || die
}
multilib_src_configure() {
append-libs $($(tc-getPKG_CONFIG) --libs openssl)
use elibc_musl && append-libs $($(tc-getPKG_CONFIG) --libs fts-standalone)
ECONF_SOURCE=${S} \
econf \
--disable-static
# botched check, fix it up
if use kernel_SunOS ; then
sed -i -e '/HAVE_SYS_ACL_H/s:^\(.*\)$:/* \1 */:' include/config.h || die
fi
}
multilib_src_install() {
default
find "${D}" -name '*.la' -delete || die
}

@ -1,84 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit autotools flag-o-matic toolchain-funcs multilib-minimal
APPLE_PV=$(ver_cut 5) # 452: macOS 11.0.1 and up
DESCRIPTION="An easily extensible archive format"
HOMEPAGE="https://opensource.apple.com/source/xar/"
SRC_URI="https://opensource.apple.com/tarballs/xar/xar-${APPLE_PV}.tar.gz"
LICENSE="BSD-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
DEPEND="
elibc_musl? ( sys-libs/fts-standalone )
kernel_linux? ( virtual/acl )
dev-libs/openssl:0=[${MULTILIB_USEDEP}]
app-arch/bzip2[${MULTILIB_USEDEP}]
sys-libs/zlib[${MULTILIB_USEDEP}]
dev-libs/libxml2[${MULTILIB_USEDEP}]
"
RDEPEND="${DEPEND}"
BDEPEND="virtual/pkgconfig"
PATCHES=(
"${FILESDIR}"/${PN}-1.6.1-ext2.patch
"${FILESDIR}"/${PN}-1.8-safe_dirname.patch
"${FILESDIR}"/${PN}-1.8-arm-ppc.patch
"${FILESDIR}"/${PN}-1.8-openssl-1.1.patch
"${FILESDIR}"/${PN}-1.8.0.0.452-linux.patch
)
S=${WORKDIR}/${PN}-${APPLE_PV}/${PN}
src_prepare() {
default
# make lib headers available (without installing first?)
cd "${S}"/include || die
mv ../lib/*.h . || die
# strip RPATH pointing to ED
cd "${S}"/src || die
sed -i -e 's/@RPATH@//' Makefile.inc.in || die
# avoid GNU make (bug?) behaviour of removing xar.o as intermediate
# file, this doesn't happen outside portage, but it does from the
# ebuild env, causing the install phase to re-compile xar.o and link
# the executable
echo ".PRECIOUS: @objroot@src/%.o" >> Makefile.inc.in || die
# drop Darwin specific reliance on CommonCrypto Framework, for it
# depends on what version of Darwin we're on, and it is much simpler
# to just use openessl instead, which we maintain and control
cd "${S}" || die
sed -i -e 's/__APPLE__/__NO_APPLE__/' \
include/archive.h \
lib/hash.c \
|| die
# fix branding somewhat
sed -i -e "/XAR_VERSION/s|%s|%s (Gentoo ${PVR})|" src/xar.c || die
eautoreconf
}
multilib_src_configure() {
append-libs $($(tc-getPKG_CONFIG) --libs openssl)
use elibc_musl && append-libs $($(tc-getPKG_CONFIG) --libs fts-standalone)
append-cflags -Wno-unused-result # allow to see real problems
ECONF_SOURCE=${S} \
econf --disable-static
# botched check, fix it up
if use kernel_SunOS ; then
sed -i -e '/HAVE_SYS_ACL_H/s:^\(.*\)$:/* \1 */:' include/config.h || die
fi
}
multilib_src_install() {
default
find "${D}" -name '*.la' -delete || die
}

Binary file not shown.

@ -10,7 +10,7 @@ SRC_URI="https://github.com/sukria/Backup-Manager/archive/${PV}.tar.gz -> ${P}.t
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 x86"
IUSE="s3"
DEPEND="dev-lang/perl:=

@ -1,44 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
MY_P=Backup-Manager-${PV}
DESCRIPTION="Backup Manager is a command line backup tool for GNU/Linux"
HOMEPAGE="https://github.com/sukria/Backup-Manager"
SRC_URI="https://github.com/sukria/Backup-Manager/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE="s3"
DEPEND="dev-lang/perl:=
sys-devel/gettext"
RDEPEND="${DEPEND}
s3? ( dev-perl/Net-Amazon-S3
dev-perl/File-Slurp )"
S=${WORKDIR}/${MY_P}
src_prepare() {
sed -e "/^PERL5DIR/s/sitelib/vendorlib/" \
-e "/sed/s:=\$(DESTDIR)/:=:" \
-i Makefile || die
default
}
src_compile() {
default
emake -C po
}
src_install() {
emake DESTDIR="${D}" PREFIX=/usr install
dodir /etc
cp -a "${D}"/usr/share/backup-manager/backup-manager.conf.tpl "${D}"/etc/backup-manager.conf || die
chmod 0600 "${D}"/etc/backup-manager.conf || die
}

@ -1,3 +1 @@
DIST rsnapshot-1.4.2.tar.gz 487959 BLAKE2B 90a52af1b2b3de5eae7e98f87b87dae4564a7fa5d240d9e844180d6a57bb4e14b4cf762aa0ed6bbdba8deda0436d77e6c5d281ca8b62eba1c3b6caf948ae9432 SHA512 621be52715a6c1f70ddb251d7f6103ba3487cd0c6c607411d744866547d3ced571862a8f6b5e40a1d050696703f3a15821bd6e829a3fca057848f04566d0e4a0
DIST rsnapshot-1.4.3.tar.gz 370840 BLAKE2B 6a3acde4afd8d1f999cfb00f07a0547b6d877aa483e2548b5ecb933c3f6e742046730a78b95fd83bfa6496a71f61dbce2a8bedc42562503bef753b0c72c40eba SHA512 606b5c195e609197ae6711a9764c07a0f0822fe228aba07014155636bd5caa7ad7dbf8f42316275a71490b5c9dd33bf04c42580b92f4910c38ef871694ae09e3
DIST rsnapshot-1.4.4.tar.gz 374269 BLAKE2B 1e4a0c99d12d48cf4dacd3817b621f7e6b0ba32e9d9de87b61252875ae0bf735e8ce2c7d8bb60edb2f7d6345a06b183a2616bf1ac3dd7d1b5d3a3ef22a0ede6f SHA512 da45039457b9f3feb53b823f6ee36e8f7447d0689281d1bc857c6fedd450db2fdf8a98e66ba6e135a86654666888f7744ad9ff0aabbd605e1fc09dd5f1f7b838

@ -1,50 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
DESCRIPTION="A filesystem backup utility based on rsync"
HOMEPAGE="http://www.rsnapshot.org"
SRC_URI="http://www.rsnapshot.org/downloads/${P}.tar.gz"
SLOT="0"
LICENSE="GPL-2"
KEYWORDS="~alpha amd64 ppc ppc64 sparc x86"
RDEPEND=">=dev-lang/perl-5.8.2
dev-perl/Lchown
>=sys-apps/util-linux-2.12-r4
>=sys-apps/coreutils-5.0.91-r4
>=net-misc/openssh-3.7.1_p2-r1
>=net-misc/rsync-2.6.0"
DEPEND="${RDEPEND}"
src_prepare() {
default
# remove '/etc/' since we don't place it here, bug #461554
sed -i -e 's:/etc/rsnapshot.conf.default:rsnapshot.conf.default:' rsnapshot-program.pl || die
}
src_install() {
docompress -x "/usr/share/doc/${PF}/rsnapshot.conf.default"
# Change sysconfdir to install the template file as documentation
# rather than in /etc.
emake install DESTDIR="${D}" \
sysconfdir="${EPREFIX}/usr/share/doc/${PF}"
dodoc README.md AUTHORS ChangeLog \
docs/Upgrading_from_1.1
docinto utils
dodoc utils/{README,rsnaptar,*.sh,*.pl}
docinto utils/rsnapshotdb
dodoc utils/rsnapshotdb/*
}
pkg_postinst() {
elog "The template configuration file has been installed as"
elog " /usr/share/doc/${PF}/rsnapshot.conf.default"
elog "Copy and edit the the above file as /etc/rsnapshot.conf"
}

@ -1,50 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
DESCRIPTION="A filesystem backup utility based on rsync"
HOMEPAGE="https://www.rsnapshot.org"
SRC_URI="https://www.rsnapshot.org/downloads/${P}.tar.gz"
SLOT="0"
LICENSE="GPL-2"
KEYWORDS="~alpha amd64 ppc ppc64 sparc x86"
RDEPEND=">=dev-lang/perl-5.8.2
dev-perl/Lchown
>=sys-apps/util-linux-2.12-r4
>=sys-apps/coreutils-5.0.91-r4
>=net-misc/openssh-3.7.1_p2-r1
>=net-misc/rsync-2.6.0"
DEPEND="${RDEPEND}"
src_prepare() {
default
# remove '/etc/' since we don't place it here, bug #461554
sed -i -e 's:/etc/rsnapshot.conf.default:rsnapshot.conf.default:' rsnapshot-program.pl || die
}
src_install() {
docompress -x "/usr/share/doc/${PF}/rsnapshot.conf.default"
# Change sysconfdir to install the template file as documentation
# rather than in /etc.
emake install DESTDIR="${D}" \
sysconfdir="${EPREFIX}/usr/share/doc/${PF}"
dodoc README.md AUTHORS ChangeLog \
docs/Upgrading_from_1.1
docinto utils
dodoc utils/{README,rsnaptar,*.sh,*.pl}
docinto utils/rsnapshotdb
dodoc utils/rsnapshotdb/*
}
pkg_postinst() {
elog "The template configuration file has been installed as"
elog " /usr/share/doc/${PF}/rsnapshot.conf.default"
elog "Copy and edit the the above file as /etc/rsnapshot.conf"
}

Binary file not shown.

@ -1,2 +1 @@
DIST tiobench-0.4.2.tar.gz 32182 BLAKE2B f3c0f78daac0dc8c38de2049f8edfce7443fb43a6aacf31a0b5c12abf80ec0ae4c03b1bd25f954db261027c16dfb73fdffe970a730a853caf25763579c2e7170 SHA512 02e82d86ee889a366c1a00d4fb49f63d926e44ba6e2f297212479a5c13abe008b62c12d44483de7e971b5ebf875d5c07847f1d69dd11b2e87a050e27d8f9f09f
DIST tiobench-0.5.0.tar.gz 32897 BLAKE2B 31abe72515b8fe9c846fb8406d47292a8068ab27a6a37d3544a65a84174c6e301e19b95740896e45689ffc2dbb5b12a0927ff5147f98f8b7820bba411957239c SHA512 5e21555b4f76153537eda3e2eb4a22e40b7223870126aee64e78f9ee417b9ba8555f186b46c1e1d71b15c8512970295d57029da4ae0ce438785476ce27d7c0b5

@ -1,51 +0,0 @@
Fix perl shebangs, in order to be maximally compatible with Gentoo Prefix.
Rationale: https://blogs.gentoo.org/mgorny/2016/02/08/a-quick-note-on-portable-shebangs/
--- a/scripts/makeimages.pl
+++ b/scripts/makeimages.pl
@@ -1,4 +1,4 @@
-#!/usr/bin/perl -w
+#!/usr/bin/env perl
# Author: James Manning <jmm@users.sf.net>
# This software may be used and distributed according to the terms of
@@ -8,6 +8,7 @@
# Perl wrapper for calling tiobench.pl and displaying results
# graphically using gnuplot
+use warnings;
use strict;
my $args = join(" ",@ARGV);
--- a/scripts/tiosum.pl
+++ b/scripts/tiosum.pl
@@ -1,4 +1,4 @@
-#!/usr/bin/perl -w
+#!/usr/bin/env perl
# Author: Randy Hron <rwhron (at) earthlink dot net>
# This software may be used and distributed according to the terms of
# the GNU General Public License, http://www.gnu.org/copyleft/gpl.html
@@ -6,6 +6,7 @@
# Summarize output of tiobench2.pl for multiple kernels/runs.
# Assumes logfiles created with:
# ./tiobench2.pl > tiobench-`uname -r` 2> tiobench-`uname -r`.err
+use warnings;
use strict;
$|++;
--- a/tiobench.pl
+++ b/tiobench.pl
@@ -1,4 +1,4 @@
-#!/usr/bin/perl -w
+#!/usr/bin/env perl
# Author: James Manning <jmm at users.sf.net>
# Author: Randy Hron <rwhron at earthlink dot net>
@@ -9,6 +9,7 @@
# Perl wrapper for calling the tiotest executable multiple times
# with varying sets of parameters as instructed
+use warnings;
use strict;
use Getopt::Long;

@ -1,48 +0,0 @@
diff --git a/crc32.c b/crc32.c
index bae7384..a22fc5d 100644
--- a/crc32.c
+++ b/crc32.c
@@ -72,10 +72,9 @@ static const unsigned long crctab[256] = {
0xA2F33668, 0xBCB4666D, 0xB8757BDA, 0xB5365D03, 0xB1F740B4
};
-inline
-unsigned long crc32( const void* buffer,
- unsigned long length,
- unsigned long crc)
+unsigned long crc32(const void* buffer,
+ unsigned long length,
+ unsigned long crc)
{
const unsigned char* cp = (const unsigned char*)buffer;
diff --git a/crc32.h b/crc32.h
index 62b3433..cb9b96f 100644
--- a/crc32.h
+++ b/crc32.h
@@ -18,9 +18,8 @@
#ifndef CRC32_H
#define CRC32_H
-inline
-unsigned long crc32( const void* const buffer,
- unsigned long length,
- unsigned long crc);
+unsigned long crc32(const void* const buffer,
+ unsigned long length,
+ unsigned long crc);
#endif
diff --git a/tiotest.c b/tiotest.c
index c23ceb4..bb73fcb 100644
--- a/tiotest.c
+++ b/tiotest.c
@@ -1392,7 +1392,7 @@ static int do_mmap_read_operation(void *loc, ThreadData *d)
if(crc != d->bufferCrc)
{
- fprintf(stderr, "Thread(%lu) mmap consistency check failed at 0x%x\n", d->myNumber, (unsigned int)loc);
+ fprintf(stderr, "Thread(%lu) mmap consistency check failed at 0x%p\n", d->myNumber, loc);
return -1;
}
}

@ -1,44 +0,0 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit toolchain-funcs
DESCRIPTION="Portable, robust, fully-threaded I/O benchmark program"
HOMEPAGE="https://github.com/mkuoppal/tiobench"
SRC_URI="https://github.com/mkuoppal/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 ppc ppc64 x86"
IUSE=""
RDEPEND="dev-lang/perl"
DEPEND="${RDEPEND}"
PATCHES=(
"${FILESDIR}"/${P}-gcc5.patch
"${FILESDIR}"/${P}-fix-perl-shebang.patch
)
src_prepare() {
default
sed -i \
-e "s:/usr/local/bin:${EPREFIX}/usr/sbin:" tiobench.pl \
|| die "sed tiobench.pl failed"
}
src_compile() {
emake \
CC="$(tc-getCC)" \
LINK="$(tc-getCC)" \
DEFINES="-DLARGEFILES" \
CFLAGS="${CFLAGS}" \
LDFLAGS="${LDFLAGS}"
}
src_install() {
dosbin tiotest tiobench.pl scripts/tiosum.pl
einstalldocs
}

Binary file not shown.

@ -1,2 +1,4 @@
DIST lxd-5.0.0.tar.gz 17706199 BLAKE2B 5559bdd479e03b43407e58aa240a00dae488cbf799cec39cbe74b636c907d247341132a49b414fa573c5d5d366643d296522efb6d71c1c0f83cc8edc038f1432 SHA512 e74c14a2642ee4ea738629b1da9c4b416f3bdbb26a49c8c920eb0e5e0467236fd610276541af1d481d6b069093cb1c35c705008652ff2cd55d2d15e9b7433696
DIST lxd-5.0.0.tar.gz.asc 833 BLAKE2B 7e8fc6f6892294fb8a6384f5767cb74b0a4b941c39da3b097c2196b328fb4f0b1816c46adae0bb343022bd558e77612ab3d93884053c1db5f7c1067c13444fb5 SHA512 d3d583175437cee37b6d7d8d137ab1440dd6ac1c91200616fe68e5f38197f11ab2ed85f1aba06dfb0d32f88153defb2bb3f897601902e66fe0a5eff6042e57c0
DIST lxd-5.0.1.tar.gz 14640923 BLAKE2B 81bdf3301c0eecc719864cd8e18fd886113f83d1980e13ee4d4ccb6641ee4a7e33f0b859a21abd8a0a9956d1c2f3dfa6e7eb1ae454fbb580c23b5558ef51168e SHA512 b04b7329bdeb17ca384cc2d931a1510d5f03521fd247eab93904bbcb6139cc0daf28f9aeb6416268ccf15affdd15b26598f3e280fb5eefe5c59be6918f092bed
DIST lxd-5.0.1.tar.gz.asc 833 BLAKE2B d233c8ebfb5b71f66ff08b4d74861a42bf45ef3e9622d4f113603a7a6c1a29b5aa3422c075ad5250a7d5ab7526a49dd676672d0a73194024af477fa762e02b12 SHA512 bf22f26b6688420e843e9e24eb731a2068eae3d90c77787e0f4a279d4cb7a8a2df38b7e9c8ea79f604c1d54743238cb36474baf018ea6bf72e6f37838b252294

@ -0,0 +1,180 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit bash-completion-r1 go-module linux-info optfeature systemd verify-sig
DESCRIPTION="Modern, secure and powerful system container and virtual machine manager"
HOMEPAGE="https://linuxcontainers.org/lxd/introduction/ https://github.com/lxc/lxd"
SRC_URI="https://linuxcontainers.org/downloads/lxd/${P}.tar.gz
verify-sig? ( https://linuxcontainers.org/downloads/lxd/${P}.tar.gz.asc )"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~x86"
IUSE="apparmor ipv6 nls verify-sig"
DEPEND="acct-group/lxd
app-arch/xz-utils
>=app-containers/lxc-3.0.0[apparmor?,seccomp(+)]
dev-db/sqlite:3
dev-libs/dqlite
dev-libs/lzo
dev-libs/raft[lz4]
>=dev-util/xdelta-3.0[lzma(+)]
net-dns/dnsmasq[dhcp,ipv6(+)?]
sys-libs/libcap
virtual/udev"
RDEPEND="${DEPEND}
net-firewall/ebtables
net-firewall/iptables[ipv6(+)?]
sys-apps/iproute2[ipv6(+)?]
sys-fs/fuse:*
>=sys-fs/lxcfs-5.0.0
sys-fs/squashfs-tools[lzma]
virtual/acl"
BDEPEND="dev-lang/go
nls? ( sys-devel/gettext )
verify-sig? ( sec-keys/openpgp-keys-linuxcontainers )"
CONFIG_CHECK="
~CGROUPS
~IPC_NS
~NET_NS
~PID_NS
~SECCOMP
~USER_NS
~UTS_NS
~KVM
~MACVTAP
~VHOST_VSOCK
"
ERROR_IPC_NS="CONFIG_IPC_NS is required."
ERROR_NET_NS="CONFIG_NET_NS is required."
ERROR_PID_NS="CONFIG_PID_NS is required."
ERROR_SECCOMP="CONFIG_SECCOMP is required."
ERROR_UTS_NS="CONFIG_UTS_NS is required."
WARNING_KVM="CONFIG_KVM and CONFIG_KVM_AMD/-INTEL is required for virtual machines."
WARNING_MACVTAP="CONFIG_MACVTAP is required for virtual machines."
WARNING_VHOST_VSOCK="CONFIG_VHOST_VSOCK is required for virtual machines."
# Go magic.
QA_PREBUILT="/usr/bin/fuidshift
/usr/bin/lxc
/usr/bin/lxc-to-lxd
/usr/bin/lxd-agent
/usr/bin/lxd-benchmark
/usr/bin/lxd-migrate
/usr/sbin/lxd"
VERIFY_SIG_OPENPGP_KEY_PATH=${BROOT}/usr/share/openpgp-keys/linuxcontainers.asc
# The testsuite must be run as root.
# make: *** [Makefile:156: check] Error 1
RESTRICT="test"
GOPATH="${S}/_dist"
src_prepare() {
export GOPATH="${S}/_dist"
default
sed -i \
-e "s:\./configure:./configure --prefix=/usr --libdir=${EPREFIX}/usr/lib/lxd:g" \
-e "s:make:make ${MAKEOPTS}:g" \
Makefile || die
# Fix hardcoded ovmf file path, see bug 763180
sed -i \
-e "s:/usr/share/OVMF:/usr/share/edk2-ovmf:g" \
-e "s:OVMF_VARS.ms.fd:OVMF_VARS.secboot.fd:g" \
doc/environment.md \
lxd/apparmor/instance.go \
lxd/apparmor/instance_qemu.go \
lxd/instance/drivers/driver_qemu.go || die "Failed to fix hardcoded ovmf paths."
# Fix hardcoded virtfs-proxy-helper file path, see bug 798924
sed -i \
-e "s:/usr/lib/qemu/virtfs-proxy-helper:/usr/libexec/virtfs-proxy-helper:g" \
lxd/device/device_utils_disk.go || die "Failed to fix virtfs-proxy-helper path."
cp "${FILESDIR}"/lxd-4.0.9-r1.service "${T}"/lxd.service || die
if use apparmor; then
sed -i \
'/^EnvironmentFile=.*/a ExecStartPre=\/usr\/libexec\/lxc\/lxc-apparmor-load' \
"${T}"/lxd.service || die
fi
# Disable -Werror's from go modules.
find "${S}" -name "cgo.go" -exec sed -i "s/ -Werror / /g" {} + || die
}
src_configure() { :; }
src_compile() {
export GOPATH="${S}/_dist"
export CGO_LDFLAGS_ALLOW="-Wl,-z,now"
for k in fuidshift lxd-benchmark lxc lxc-to-lxd; do
go install -v -x "${S}/${k}" || die "failed compiling ${k}"
done
go install -v -x -tags libsqlite3 ${S}/lxd || die "Failed to build the daemon"
# Needs to be built statically
CGO_ENABLED=0 go install -v -tags netgo "${S}"/lxd-migrate
CGO_ENABLED=0 go install -v -tags agent,netgo "${S}"/lxd-agent
use nls && emake build-mo
}
src_test() {
emake check
}
src_install() {
export GOPATH="${S}/_dist"
local bindir="_dist/bin"
dosbin ${bindir}/lxd
for l in fuidshift lxd-agent lxd-benchmark lxd-migrate lxc lxc-to-lxd; do
dobin ${bindir}/${l}
done
newbashcomp scripts/bash/lxd-client lxc
newconfd "${FILESDIR}"/lxd-4.0.0.confd lxd
newinitd "${FILESDIR}"/lxd-4.0.9.initd lxd
systemd_dounit "${T}"/lxd.service
systemd_newunit "${FILESDIR}"/lxd-containers-4.0.0.service lxd-containers.service
systemd_newunit "${FILESDIR}"/lxd-4.0.0.socket lxd.socket
dodoc AUTHORS
dodoc -r doc/*
use nls && domo po/*.mo
}
pkg_postinst() {
elog
elog "Consult https://wiki.gentoo.org/wiki/LXD for more information,"
elog "including a Quick Start."
elog "For virtual machine support, see:"
elog "https://wiki.gentoo.org/wiki/LXD#Virtual_machines"
elog
elog "Please run 'lxc-checkconfig' to see all optional kernel features."
elog
optfeature "virtual machine support" app-emulation/qemu[spice,usbredir,virtfs]
optfeature "btrfs storage backend" sys-fs/btrfs-progs
optfeature "lvm2 storage backend" sys-fs/lvm2
optfeature "zfs storage backend" sys-fs/zfs
elog
elog "Be sure to add your local user to the lxd group."
}

@ -13,10 +13,19 @@
<flag name="apparmor">Enable AppArmor support</flag>
</use>
<longdescription>
By combining the speed and density of containers with
the security of traditional virtual machines, LXD is
the next-generation of container hypervisor for Linux
from Canonical.
LXD is a modern, secure and powerful system container and virtual machine manager.
It provides a unified experience for running and managing full Linux systems inside containers
or virtual machines. LXD supplies images for a wide number of Linux distributions and is built
around a very powerful, yet pretty simple, REST API. LXD scales from one instance on a single
machine to a cluster in a full data center rack, making it suitable for running workloads both
for development and in production.
LXD allows you to easily set up a system that feels like a small private cloud. You can run any
type of workload in an efficient way while keeping your resources optimized.
You should consider using LXD if you want to containerize different environments or run virtual
machines, or in general run and manage your infrastructure in a cost-effective way.
</longdescription>
<upstream>
<remote-id type="github">lxc/lxd</remote-id>

Binary file not shown.

@ -1,4 +1,2 @@
DIST loop-AES-v3.7j.tar.bz2 326818 BLAKE2B ca2db3162298e2e28dcc6feb5e6ba885a08097acafb9937a69898e6944c62cbb1c0ef601e13c0547550721430bf770f187ee71bc5e642d6107c982fae9d03462 SHA512 e1b59680680e2b40bb42cad9f1e89a344c7bfd0ee01fdc26151e9edea64b5111744588bc05c672de16c76ae0a3e4d6a8d4c4c9c09709a9f93bfc62a2f64ba7c7
DIST loop-AES-v3.7q.tar.bz2 376027 BLAKE2B 7f3206196fcb7ecc928bda4cd127042f61cd5ac7f39e483fb91db388572be1c8e252d5c4adb653e6fd00ff6a7ba4c1406c35f2b2659e9cb38fd817f1bdb2a15f SHA512 103869695f6b18bcc765804865468db4b24fc2fcce3ec97d8468fdc0bd37c480386960730e280cd93c707026dddc5e79d8d25e2601c3678330e016835166ad20
DIST util-linux-2.28.2.tar.xz 4149700 BLAKE2B da38a047b4a7dc867ba72aea149d515665375089d880d43c40f6d19a09ee33023d64b95c15073d6a83a36ee58ff6d47ef08671ab841b533bb747a337c5da6c02 SHA512 ac1c2d4c92bbc4eabed464cb0334c1d9b21e58df0f07f0b26e7adcfa188879de8632d195b65a4358c5e11e14ac6e09a1c6206265bbf1fab4ce122414bee7e940
DIST util-linux-2.35.2.tar.xz 5150488 BLAKE2B 93eb90ab33db7795b46425ec4ec87f8a2d3d6e0dad671345375ea02efd654bf72041932d30b41bea494e4b62952e2fd14ea9f9e6c738d4eb4b050bd170b9bb0e SHA512 59e038ba71aa74c9af6f927b357483a965f675ab3ffcd25cf0c1b043656312d2d2d07c55659fd3da69ede165bec313e0ae7e1cd73758e49681ae610604b399a2

@ -1,79 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="6"
inherit autotools toolchain-funcs flag-o-matic
MY_PV="${PV/_/-}"
MY_P="util-linux-${MY_PV}"
LOOPAES_P="loop-AES-v3.7j"
S="${WORKDIR}/${MY_P}"
DESCRIPTION="Loop-AES losetup utility"
HOMEPAGE="https://www.kernel.org/pub/linux/utils/util-linux/"
SRC_URI="https://www.kernel.org/pub/linux/utils/util-linux/v${PV:0:4}/${MY_P}.tar.xz
http://loop-aes.sourceforge.net/loop-AES/${LOOPAES_P}.tar.bz2"
KEYWORDS="~amd64 ~arm ~hppa ~ppc ~sparc ~x86"
LICENSE="GPL-2 LGPL-2.1 BSD-4 MIT public-domain"
SLOT="0"
IUSE="nls selinux static"
RDEPEND="selinux? ( sys-libs/libselinux )"
DEPEND="${RDEPEND}
nls? ( sys-devel/gettext )
virtual/os-headers"
PATCHES=(
"${WORKDIR}/${LOOPAES_P}/util-linux-${PV}.diff"
)
src_prepare() {
default
eautoreconf
}
lfs_fallocate_test() {
# Make sure we can use fallocate with LFS #300307
cat <<-EOF > "${T}"/fallocate.${ABI}.c
#define _GNU_SOURCE
#include <fcntl.h>
main() { return fallocate(0, 0, 0, 0); }
EOF
append-lfs-flags
$(tc-getCC) ${CFLAGS} ${CPPFLAGS} ${LDFLAGS} "${T}"/fallocate.${ABI}.c -o /dev/null >/dev/null 2>&1 \
|| export ac_cv_func_fallocate=no
rm -f "${T}"/fallocate.${ABI}.c
}
src_configure() {
lfs_fallocate_test
# The scanf test in a run-time test which fails while cross-compiling.
# Blindly assume a POSIX setup since we require libmount, and libmount
# itself fails when the scanf test fails. #531856
tc-is-cross-compiler && export scanf_cv_alloc_modifier=ms
# We manually set --libdir to the default since on prefix, econf will set it to
# a value which the configure script does not recognize. This makes it set the
# usrlib_execdir to a bad value. bug #518898#c2, fixed upstream for >2.25
ECONF_SOURCE=${S} \
econf \
--libdir='${prefix}/'"$(get_libdir)" \
--disable-all-programs \
--disable-pylibmount \
--enable-libsmartcols \
--enable-losetup \
--without-ncurses \
--without-udev \
$(use_enable nls) \
$(use_with selinux) \
$(tc-has-tls || echo --disable-tls) \
$(use static && echo --enable-static-programs=losetup)
}
src_install() {
emake install DESTDIR="${T}/root"
newsbin "${T}/root/sbin/losetup" loop-aes-losetup
newman "${T}/root/usr/share/man/man8/losetup.8" loop-aes-losetup.8
use static && newsbin "${T}/root/bin/losetup.static" loop-aes-losetup.static
}

@ -1,2 +1 @@
DIST pgpdump-0.33.tar.gz 65730 BLAKE2B 9941f55a070c219b1b6096939f1a8d775d85c8de60154f2ca93709b489605c8c3937bb4e250390fc71d152bf23c5a22f37226a64ff57036268cf49d793c215bd SHA512 976e2c185c9d72302c9c020dde1d2872b01fd9c2195be0d43441a03c3c6a4a70636f8ac2b35e3fde30e45ecc7fc1c23d7c92dcbd90fc503bbcdef73e3483e9c7
DIST pgpdump-0.35.tar.gz 77580 BLAKE2B 2c0b8d69bccf37a0d9a192273f901c52d74fa2423f32084a9ddda9c70c2055a0b594113b486cb9bcd8e9566cef781938186400dc139e9e00439db067b38307cb SHA512 03579d7d89d98f19f50c9722c063f059904887f7ca7da3eb99a4aadc6c5361b5161c891767a93087bfb42641aa2e24a9ad6560b1e4396370217afec61a988015

@ -1,27 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
DESCRIPTION="A PGP packet visualizer"
HOMEPAGE="http://www.mew.org/~kazu/proj/pgpdump/"
SRC_URI="http://www.mew.org/~kazu/proj/pgpdump/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="amd64 ~arm64 ppc sparc x86"
IUSE=""
DEPEND="sys-libs/zlib
app-arch/bzip2"
RDEPEND="${DEPEND}"
PATCHES=(
"${FILESDIR}"/${PN}-0.32-respect-ldflags.patch
)
src_install() {
dobin pgpdump
doman pgpdump.1
dodoc CHANGES README.md
}

@ -9,7 +9,7 @@ SRC_URI="https://www.mew.org/~kazu/proj/pgpdump/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="amd64 ~arm64 ~ppc sparc x86"
KEYWORDS="amd64 ~arm64 ppc sparc x86"
DEPEND="app-arch/bzip2
sys-libs/zlib"

Binary file not shown.

@ -20,7 +20,7 @@ if [[ ${PV} == 9999* ]]; then
else
SRC_URI="https://github.com/vim/vim/archive/v${PV}.tar.gz -> vim-${PV}.tar.gz
https://gitweb.gentoo.org/proj/vim-patches.git/snapshot/vim-patches-vim-9.0.0049-patches.tar.gz"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ppc ppc64 ~riscv ~s390 sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-solaris"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-solaris"
fi
S="${WORKDIR}"/vim-${PV}

@ -0,0 +1,28 @@
From bba26c9ed9d4ddc82afd0343f145dc9e14b91498 Mon Sep 17 00:00:00 2001
From: Varsha Teratipally <teratipally@google.com>
Date: Tue, 2 Aug 2022 22:18:29 +0000
Subject: [PATCH] Configure check for timer_create may give wrong error.
Give a warning instead of an error
Partial solution from github.com/vim/vim/commit/5f6cae8b8a49c435556e32f84d067cd0b4d28e4c
---
src/configure.ac | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/src/configure.ac b/src/configure.ac
index e8522ec05..41f41dee3 100644
--- a/src/configure.ac
+++ b/src/configure.ac
@@ -3850,7 +3850,7 @@ static void set_flag(union sigval sv) {}
])],
vim_cv_timer_create=yes,
vim_cv_timer_create=no),
- AC_MSG_ERROR(cross-compiling: please set 'vim_cv_timer_create')
+ AC_MSG_WARN(cross-compiling: please set 'vim_cv_timer_create')
)]
)
--

@ -15,7 +15,7 @@ if [[ ${PV} == 9999* ]] ; then
else
SRC_URI="https://github.com/vim/vim/archive/v${PV}.tar.gz -> ${P}.tar.gz
https://gitweb.gentoo.org/proj/vim-patches.git/snapshot/vim-patches-vim-9.0.0049-patches.tar.gz"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
fi
S="${WORKDIR}/vim-${PV}"
@ -42,7 +42,8 @@ pkg_setup() {
src_prepare() {
if [[ ${PV} != 9999* ]] ; then
# Gentoo patches to fix runtime issues, cross-compile errors, etc
eapply "${WORKDIR}/vim-patches-vim-9.0.0049-patches"
eapply "${WORKDIR}"/vim-patches-vim-9.0.0049-patches
eapply "${FILESDIR}"/vim-9.0-fix-create-timer-for-cros-compiling.patch
fi
# Fixup a script to use awk instead of nawk

@ -0,0 +1,28 @@
From bba26c9ed9d4ddc82afd0343f145dc9e14b91498 Mon Sep 17 00:00:00 2001
From: Varsha Teratipally <teratipally@google.com>
Date: Tue, 2 Aug 2022 22:18:29 +0000
Subject: [PATCH] Configure check for timer_create may give wrong error.
Give a warning instead of an error
Partial solution from github.com/vim/vim/commit/5f6cae8b8a49c435556e32f84d067cd0b4d28e4c
---
src/configure.ac | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/src/configure.ac b/src/configure.ac
index e8522ec05..41f41dee3 100644
--- a/src/configure.ac
+++ b/src/configure.ac
@@ -3850,7 +3850,7 @@ static void set_flag(union sigval sv) {}
])],
vim_cv_timer_create=yes,
vim_cv_timer_create=no),
- AC_MSG_ERROR(cross-compiling: please set 'vim_cv_timer_create')
+ AC_MSG_WARN(cross-compiling: please set 'vim_cv_timer_create')
)]
)
--

@ -78,7 +78,7 @@ src_prepare() {
if [[ ${PV} != 9999* ]] ; then
# Gentoo patches to fix runtime issues, cross-compile errors, etc
eapply "${WORKDIR}/vim-patches-vim-9.0.0049-patches"
eapply "${WORKDIR}"/vim-patches-vim-9.0.0049-patches
fi
# Fixup a script to use awk instead of nawk

@ -19,7 +19,7 @@ if [[ ${PV} == 9999* ]] ; then
else
SRC_URI="https://github.com/vim/vim/archive/v${PV}.tar.gz -> ${P}.tar.gz
https://gitweb.gentoo.org/proj/vim-patches.git/snapshot/vim-patches-vim-9.0.0049-patches.tar.gz"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
fi
DESCRIPTION="Vim, an improved vi-style text editor"
@ -78,7 +78,8 @@ src_prepare() {
if [[ ${PV} != 9999* ]] ; then
# Gentoo patches to fix runtime issues, cross-compile errors, etc
eapply "${WORKDIR}/vim-patches-vim-9.0.0049-patches"
eapply "${WORKDIR}"/vim-patches-vim-9.0.0049-patches
eapply "${FILESDIR}"/vim-9.0-fix-create-timer-for-cros-compiling.patch
fi
# Fixup a script to use awk instead of nawk

Binary file not shown.

@ -1 +1,2 @@
DIST company-ebuild-0.1.0.tar.gz 10938 BLAKE2B e89e389b49b32057a6acd72cf7a0eb68b10d005824287c112528e3136e7d969e3b678450fc997800d83b3c8f226030b0e2724c63b3ae82d78ad16af49bc10984 SHA512 bc7fec05fbc3600ce6b5111b4e1817bfe04f7185a6a33bf5b83291feb795f47b91f827960b29f844f2627e885a05cc156b755a468e5eb0c314345c869678ea17
DIST company-ebuild-0.1.1.tar.gz 11059 BLAKE2B 5eba661f1956a019a133d3e61f997dcf2d9340c4a5f6d05920cba07e06e493e4358fabab6e16a48d1c081fc2c71f548e06511adf46b55a2fb30cef4ba2df71f5 SHA512 09bed101dcef18b07c2b51aa916b358f6e2ea526bd80dc997b280516ee074a62e006f3a0d748d77848f5e43412d4971841771cf40abe5b80a95477a21ad9d847

@ -0,0 +1,30 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
NEED_EMACS=25.1
inherit elisp
DESCRIPTION="Company backend for editing Ebuild files"
HOMEPAGE="https://gitweb.gentoo.org/proj/company-ebuild.git"
if [[ ${PV} == *9999* ]] ; then
inherit git-r3
EGIT_REPO_URI="https://gitweb.gentoo.org/proj/${PN}.git"
else
SRC_URI="https://gitweb.gentoo.org/proj/${PN}.git/snapshot/${P}.tar.gz"
KEYWORDS="~amd64 ~x86"
fi
LICENSE="GPL-2+"
SLOT="0"
SITEFILE="50${PN}-gentoo.el"
RDEPEND="
app-emacs/company-mode
app-emacs/ebuild-mode
"
BDEPEND="${RDEPEND}"

@ -1,2 +1 @@
DIST edb-1.32.tar.gz 692581 BLAKE2B 3f77d6f9d6550ce1c064dc0820fdc9a24293964900d4f390ad1456e79f42444d7c9512585cf230d742e66360011e2e314446748e23395bee1e7f8086c38853b7 SHA512 ee8bd642c019d30401202f540b37f28c914c17083123ca61b741de72d168ecb855d0508f922af208bb717b02b4819cf6f3c5137d589f2e858410a3e9ab4034e0
DIST edb-1.34.tar.gz 616310 BLAKE2B 02867f79ddd5501ede476c3f3cd5420633e836c7c123eaa553aefec4bb72c7df5c1aba76044d61c34f1ae6d020b740af7df0348239f0736b0cadde939cad08a6 SHA512 c5da27454d19cce8fb493a7f2fca150f06069947fa1e8b0ae4f11cd49e95ed1797f07a97eeb7843290c27efe2ef00d04483e7f45bb666d3f39bdd401d9f40a0a

@ -1,35 +0,0 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit elisp
DESCRIPTION="EDB, The Emacs Database"
HOMEPAGE="http://www.gnuvola.org/software/edb/
https://www.emacswiki.org/emacs/EmacsDataBase"
SRC_URI="http://www.gnuvola.org/software/edb/${P}.tar.gz"
LICENSE="GPL-3+ Texinfo-manual"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~sparc ~x86"
SITEFILE="50${PN}-gentoo.el"
src_configure() {
default
}
src_compile() {
emake -j1
}
src_install() {
emake -j1 \
sitelisp="${ED}${SITELISP}" \
infodir="${ED}/usr/share/info" \
install
elisp-site-file-install "${FILESDIR}/${SITEFILE}"
dodoc AUTHORS BUGS ChangeLog HACKING NEWS README THANKS TODO doc/refcard.ps
dodoc -r examples
}

Binary file not shown.

@ -1,2 +1 @@
DIST dlx-1.0.0.tar.gz 112589 BLAKE2B 307785d08fd69e45264471fbc21e3b2bdba99798c0b7144c3d6a92819c29e4ac6449a6db83fdd55ba81d3b2e3f8ca6c991ee6c117ddc490a88ae210e5bc07ab8 SHA512 99297f14f6716ada7a29b204723a0c951002529362a22f695b3647517462f43af563ea55467985dda3e21d79a14d46b84dbc9b22a8c0751fba49257e30f70a7f
DIST dlx-1.5.20.zip 137039 BLAKE2B 99dbb2e5bcd89b3e9f3d8edc2fe7e7cc0a59f870f597a40a61a993b95d8b27c4f95b8d0490fdbcbc15693040d6e3abdfb8b0062e109916f5299c3da3c203d755 SHA512 5c832c2a486a82574ae03ec0cb4e30bfec74ef968658a38fbd896a1383dcdc558501baef7cbbdf99df453ba2840622d16c1619f9c5fe34b6cd058a7718bd3790

@ -1,20 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
S=${WORKDIR}/dlx
DESCRIPTION="DLX Simulator"
HOMEPAGE="https://www.davidviner.com/dlx"
SRC_URI="mirror://gentoo/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="ppc x86"
IUSE=""
src_install() {
dobin masm mon dasm
dodoc README.txt MANUAL.TXT
}

@ -1,12 +1,6 @@
DIST firecracker-v0.24.5-aarch64.tgz 1426237 BLAKE2B 11e260d4afcd5f5ebabeb5c773060250a9205a8110ea4f0915d1b8b3eb7fc448a2a99159d73d2bfaa9b1e9ea88258996de73e296b9916c533f9b7eac8c77fc15 SHA512 518f122f277a293b54bd870bb166847e4d7fa87574e47d3cd606d35e260ebd7359806922e09fb86cf16fb2ee3969bbf68b40538150e7064c866710c1803fada8
DIST firecracker-v0.24.5-x86_64.tgz 1432963 BLAKE2B 70e16dc651ae1071b9f223f0a21eaba6a8ad515d75847698cbf67ac73053cb8c52d67cd46a315e5681dadbab92ecc4d0d43ecbba9928dc2f52a5168c0a889a97 SHA512 746f1af7a37b2ecdd86faee75ee0cacf01aa80aa6f060cc75761f930df0da9a6f6597fea4235035ba10f6198909b5b2f7a834571c52d73e647611f9be8fa0967
DIST firecracker-v0.25.0-aarch64.tgz 1747986 BLAKE2B cbfbe04326f78491fccbde69ae28552db255ef88b1da4a6d3ba62fd8aac34e935677e7fc8d71d8efa56f87f764dfd17b3da6ff688fd0602f0b414060a402c0d2 SHA512 2cc1882782e26492979c06fef06f162d4f1d20a8e1cacc2680b3ea54d6f028b951c6a14f1a3d4169079cd407f9e6e77c49e64b8dbebd4e329b683a1f38f90298
DIST firecracker-v0.25.0-x86_64.tgz 1773525 BLAKE2B e870c7d021f6c5b960c52883ab659fc33fec3b39314ec1ca5448f02b9596e88192831639c6817048b97954d28866eaa7b94b50821a6c991def345bce3b47b9bb SHA512 ffd3e9dfe7e2b29ce6c9ef61504056844d7081850dfe484ddb207d7339242819adf6d7a43e9c812c032fcf606daca8d10c125071d11dd5cfe431de41eb557c0f
DIST firecracker-v0.25.1-aarch64.tgz 1746829 BLAKE2B 613e575d06cd9e482cec705a1775099b4587311a579e3146f7b35bf2d26293384d5092106c7e666e1858c7d898cccb3a5173afcba57f8cce1b8a81547505c0e5 SHA512 1e3217a94f1a43b2ef84a5a07d2f1f2690ae1129787cb286ac4f1b8c82dbd15d7489149222f22cb58a9628e8cd1704cf387c17e71053367218425881f73610e5
DIST firecracker-v0.25.1-x86_64.tgz 1773703 BLAKE2B d577dfad765b8135471a673e9699c75bb7905e73496b7e9940a7634182267a1b3bfd8111088db4e1103da47e64159c585d46f8a9fb913ba3dcb1d4d1fe5f9920 SHA512 8108b7576655ae31c97f6349f5dd530aca2828acbb0d4589d6d0c113d44c4e14b28c4d76f73fe16c5538ce4940bd86e913e97ad35d7f915f8199bceaf4f74fe3
DIST firecracker-v0.25.2-aarch64.tgz 1750770 BLAKE2B 8b34e8be4965e048e51ef60c8938f1a346d2cbf852166d7fb6156781626a2201b8fe56a8f82fcd96e2ed637f32f3f2ed83cbdd3e56a27026f6fc9ac3b1ee1fc2 SHA512 d8a8a2c4bcd347dda63fdbbaed58bd9b8626b1d23be9fc1151d8fb5ebd4b65feea9eff304bf951d82817cf5af0a7a7ca1be37f2bd62d1cd72bf6f4119499f950
DIST firecracker-v0.25.2-x86_64.tgz 1773163 BLAKE2B dd1287cbbc2955368011417b56d24d7ab4d44b5d102a38541b5038d7a400dad71393ba25ab831cacf0aca8c1e6e344f56fb668af88ebb4c379941bed152a5e71 SHA512 24d7a466019e786ded7eb6747108123c1f177e86d3197738ffc646a2f27f642576e052a8b52a0b75fa3b53de6e0a2828defa5dbba62b208e8c262248240c5059
DIST firecracker-v1.0.0-aarch64.tgz 1645541 BLAKE2B 4ddc94567209078cd6449f52b77ec56514d7a6a284f3ca9736379070ec0048b5ae03159903ca7c85ba08732f4c341d4140165479b289be6cecc0de02e94bbd60 SHA512 3294d4f86b493841e00be26b8843add4cd04bd73a9006b22def101c5aa064489bd3287bdc1b3bcb6a4534205c36aeefe26f28a0fa934ae655cd24ac397175f09
DIST firecracker-v1.0.0-x86_64.tgz 1670233 BLAKE2B a715514f8497a694d29c33872f3521c11098f7b86e035b7ebe4ba9d912b60be9f1b6ecd03e60fa515223f72b7962613907855bb63d64650a8a62e2c23acd0233 SHA512 ecfae6adde808bbb1829c3fcf47e7ffe5eeeeca6d68c73b8d631015c09463b4912d5d66f46e0a68fef671498875567e14631ae370a5049d70f2976cf7fb93314
DIST firecracker-v1.1.0-aarch64.tgz 1872949 BLAKE2B 41d898e3b22a7e53ce3581d1e74b970b393c2677ced7a7f9ceb70f39a3e89214c849728b005b26c38668364f36f8b9c7ec7661d60886f5ea3b7a154625d6ec83 SHA512 b04a4d9a0b1e7606efad5c1a019c346c7ac725d8acb92b393bcf0669f0ae690385e673ea81f44b171854dcc065d3fb59fbddd3e91db6eac78de05713a4d8505e
DIST firecracker-v1.1.0-x86_64.tgz 1896567 BLAKE2B 4f3cee9c144e152c15d64d80c708a1969bc57fdc951f8fe54f40a778b83a1ef7141cd0a6abe6014c20aa20958f0e02749712ebfb39896006e0291d94a12d743e SHA512 ca7efe3208560e4e7e50a4b57f875cea0677383f3867bf961747c44aa51ebe66abfc104e5c0e80783d286c95d38b97751c6cda1840942f463c0749c9340fee5a
DIST firecracker-v1.1.1-aarch64.tgz 1872407 BLAKE2B 16dd7c0f4fc46beacb3cd72f5c671dafd4fe738886754df7540b62b4243bbcd6fd9a25d34a0e295082e32ed250f504789a5af9bc0b22187d51f2165af13e3e53 SHA512 8d776daafcf13c5c971008b6e3e60538e17a96a245869526320a7f9a2a341cf9429c6dd2d22bf044c4192da613d7cca5b5814d71ab0d895009f60b9140aff1b9
DIST firecracker-v1.1.1-x86_64.tgz 1894446 BLAKE2B c2af407efb6a494b3e84a480164f0fa7b8537fe659e36531738a96b013f6bad016a7c44490e65cfcea1fc8c709be64f738134b88793889179c5e8e31ac84489f SHA512 ad5e52f690f18c2c9809b586fa9be35e06ac52b5ba672ad62acb872b7f9e8de91d2dfe200629ad392709e1363ea41169f8d816be482fd46dd6c38c1b9a8e28a9

@ -1,76 +0,0 @@
# Copyright 2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit linux-info
DESCRIPTION="Secure and fast microVMs for serverless computing (static build)"
HOMEPAGE="https://firecracker-microvm.github.io https://github.com/firecracker-microvm/firecracker"
SRC_URI="
amd64? (
https://github.com/firecracker-microvm/firecracker/releases/download/v${PV}/firecracker-v${PV}-x86_64.tgz
)
arm64? (
https://github.com/firecracker-microvm/firecracker/releases/download/v${PV}/firecracker-v${PV}-aarch64.tgz
)"
LICENSE="|| ( Apache-2.0 MIT Apache-2.0-with-LLVM-exceptions ) MPL-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm64"
RESTRICT="test strip"
RDEPEND="!app-emulation/firecracker
acct-group/kvm"
QA_PREBUILT="/usr/bin/firecracker
/usr/bin/jailer"
S="${WORKDIR}"
pkg_pretend() {
if use kernel_linux && kernel_is lt 4 14; then
eerror "Firecracker requires a host kernel of 4.14 or higher."
elif use kernel_linux; then
if ! linux_config_exists; then
eerror "Unable to check your kernel for KVM support"
else
CONFIG_CHECK="~KVM ~TUN ~BRIDGE"
ERROR_KVM="You must enable KVM in your kernel to continue"
ERROR_KVM_AMD="If you have an AMD CPU, you must enable KVM_AMD in"
ERROR_KVM_AMD+=" your kernel configuration."
ERROR_KVM_INTEL="If you have an Intel CPU, you must enable"
ERROR_KVM_INTEL+=" KVM_INTEL in your kernel configuration."
ERROR_TUN="You will need the Universal TUN/TAP driver compiled"
ERROR_TUN+=" into your kernel or loaded as a module to use"
ERROR_TUN+=" virtual network devices."
ERROR_BRIDGE="You will also need support for 802.1d"
ERROR_BRIDGE+=" Ethernet Bridging for some network configurations."
if use amd64 || use amd64-linux; then
if grep -q AuthenticAMD /proc/cpuinfo; then
CONFIG_CHECK+=" ~KVM_AMD"
elif grep -q GenuineIntel /proc/cpuinfo; then
CONFIG_CHECK+=" ~KVM_INTEL"
fi
fi
# Now do the actual checks setup above
check_extra_config
fi
fi
}
src_compile() { :; }
src_install() {
if use amd64; then
my_arch=x86_64
elif use arm64; then
my_arch=aarch64
fi
newbin "release-v${PV}/firecracker-v${PV}-${my_arch}" firecracker
newbin "release-v${PV}/jailer-v${PV}-${my_arch}" jailer
}

@ -1,76 +0,0 @@
# Copyright 2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit linux-info
DESCRIPTION="Secure and fast microVMs for serverless computing (static build)"
HOMEPAGE="https://firecracker-microvm.github.io https://github.com/firecracker-microvm/firecracker"
SRC_URI="
amd64? (
https://github.com/firecracker-microvm/firecracker/releases/download/v${PV}/firecracker-v${PV}-x86_64.tgz
)
arm64? (
https://github.com/firecracker-microvm/firecracker/releases/download/v${PV}/firecracker-v${PV}-aarch64.tgz
)"
LICENSE="|| ( Apache-2.0 MIT Apache-2.0-with-LLVM-exceptions ) MPL-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm64"
RESTRICT="test strip"
RDEPEND="!app-emulation/firecracker
acct-group/kvm"
QA_PREBUILT="/usr/bin/firecracker
/usr/bin/jailer"
S="${WORKDIR}"
pkg_pretend() {
if use kernel_linux && kernel_is lt 4 14; then
eerror "Firecracker requires a host kernel of 4.14 or higher."
elif use kernel_linux; then
if ! linux_config_exists; then
eerror "Unable to check your kernel for KVM support"
else
CONFIG_CHECK="~KVM ~TUN ~BRIDGE"
ERROR_KVM="You must enable KVM in your kernel to continue"
ERROR_KVM_AMD="If you have an AMD CPU, you must enable KVM_AMD in"
ERROR_KVM_AMD+=" your kernel configuration."
ERROR_KVM_INTEL="If you have an Intel CPU, you must enable"
ERROR_KVM_INTEL+=" KVM_INTEL in your kernel configuration."
ERROR_TUN="You will need the Universal TUN/TAP driver compiled"
ERROR_TUN+=" into your kernel or loaded as a module to use"
ERROR_TUN+=" virtual network devices."
ERROR_BRIDGE="You will also need support for 802.1d"
ERROR_BRIDGE+=" Ethernet Bridging for some network configurations."
if use amd64 || use amd64-linux; then
if grep -q AuthenticAMD /proc/cpuinfo; then
CONFIG_CHECK+=" ~KVM_AMD"
elif grep -q GenuineIntel /proc/cpuinfo; then
CONFIG_CHECK+=" ~KVM_INTEL"
fi
fi
# Now do the actual checks setup above
check_extra_config
fi
fi
}
src_compile() { :; }
src_install() {
if use amd64; then
my_arch=x86_64
elif use arm64; then
my_arch=aarch64
fi
newbin "release-v${PV}/firecracker-v${PV}-${my_arch}" firecracker
newbin "release-v${PV}/jailer-v${PV}-${my_arch}" jailer
}

@ -1,81 +0,0 @@
# Copyright 2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit linux-info
DESCRIPTION="Secure and fast microVMs for serverless computing (static build)"
HOMEPAGE="https://firecracker-microvm.github.io https://github.com/firecracker-microvm/firecracker"
SRC_URI="
amd64? (
https://github.com/firecracker-microvm/firecracker/releases/download/v${PV}/firecracker-v${PV}-x86_64.tgz
)
arm64? (
https://github.com/firecracker-microvm/firecracker/releases/download/v${PV}/firecracker-v${PV}-aarch64.tgz
)"
LICENSE="|| ( Apache-2.0 MIT Apache-2.0-with-LLVM-exceptions ) MPL-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm64"
RESTRICT="test strip"
RDEPEND="!app-emulation/firecracker
acct-group/kvm"
QA_PREBUILT="usr/bin/firecracker
usr/bin/jailer
usr/bin/seccompiler-bin"
S="${WORKDIR}"
pkg_pretend() {
if use kernel_linux && kernel_is lt 4 14; then
eerror "Firecracker requires a host kernel of 4.14 or higher."
elif use kernel_linux; then
if ! linux_config_exists; then
eerror "Unable to check your kernel for KVM support"
else
CONFIG_CHECK="~KVM ~TUN ~BRIDGE"
ERROR_KVM="You must enable KVM in your kernel to continue"
ERROR_KVM_AMD="If you have an AMD CPU, you must enable KVM_AMD in"
ERROR_KVM_AMD+=" your kernel configuration."
ERROR_KVM_INTEL="If you have an Intel CPU, you must enable"
ERROR_KVM_INTEL+=" KVM_INTEL in your kernel configuration."
ERROR_TUN="You will need the Universal TUN/TAP driver compiled"
ERROR_TUN+=" into your kernel or loaded as a module to use"
ERROR_TUN+=" virtual network devices."
ERROR_BRIDGE="You will also need support for 802.1d"
ERROR_BRIDGE+=" Ethernet Bridging for some network configurations."
if use amd64 || use amd64-linux; then
if grep -q AuthenticAMD /proc/cpuinfo; then
CONFIG_CHECK+=" ~KVM_AMD"
elif grep -q GenuineIntel /proc/cpuinfo; then
CONFIG_CHECK+=" ~KVM_INTEL"
fi
fi
# Now do the actual checks setup above
check_extra_config
fi
fi
}
src_compile() { :; }
src_install() {
if use amd64; then
my_arch=x86_64
elif use arm64; then
my_arch=aarch64
fi
dodoc "release-v${PV}-${my_arch}/firecracker_spec-v${PV}.yaml"
dodoc "release-v${PV}-${my_arch}/seccomp-filter-v${PV}-${my_arch}.json"
newbin "release-v${PV}-${my_arch}/firecracker-v${PV}-${my_arch}" firecracker
newbin "release-v${PV}-${my_arch}/jailer-v${PV}-${my_arch}" jailer
newbin "release-v${PV}-${my_arch}/seccompiler-bin-v${PV}-${my_arch}" seccompiler-bin
}

@ -21,8 +21,7 @@ KEYWORDS="~amd64 ~arm64"
RESTRICT="test strip"
RDEPEND="!app-emulation/firecracker
acct-group/kvm"
RDEPEND="acct-group/kvm"
QA_PREBUILT="usr/bin/firecracker
usr/bin/jailer

@ -21,8 +21,7 @@ KEYWORDS="~amd64 ~arm64"
RESTRICT="test strip"
RDEPEND="!app-emulation/firecracker
acct-group/kvm"
RDEPEND="acct-group/kvm"
QA_PREBUILT="usr/bin/firecracker
usr/bin/jailer

@ -1,4 +1,4 @@
# Copyright 2021 Gentoo Authors
# Copyright 2021-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@ -21,11 +21,11 @@ KEYWORDS="~amd64 ~arm64"
RESTRICT="test strip"
RDEPEND="!app-emulation/firecracker
acct-group/kvm"
RDEPEND="acct-group/kvm"
QA_PREBUILT="usr/bin/firecracker
usr/bin/jailer
usr/bin/rebase-snap
usr/bin/seccompiler-bin"
S="${WORKDIR}"
@ -77,5 +77,6 @@ src_install() {
newbin "release-v${PV}-${my_arch}/firecracker-v${PV}-${my_arch}" firecracker
newbin "release-v${PV}-${my_arch}/jailer-v${PV}-${my_arch}" jailer
newbin "release-v${PV}-${my_arch}/rebase-snap-v${PV}-${my_arch}" rebase-snap
newbin "release-v${PV}-${my_arch}/seccompiler-bin-v${PV}-${my_arch}" seccompiler-bin
}

@ -6,7 +6,8 @@ EAPI=8
# Generate using https://github.com/thesamesam/sam-gentoo-scripts/blob/main/niche/generate-qemu-docs
# Set to 1 if prebuilt, 0 if not
# (the construct below is to allow overriding from env for script)
QEMU_DOCS_PREBUILT=${QEMU_DOCS_PREBUILT:-1}
: ${QEMU_DOCS_PREBUILT:=1}
QEMU_DOCS_PREBUILT_DEV=sam
QEMU_DOCS_VERSION=$(ver_cut 1-3)
# Default to generating docs (inc. man pages) if no prebuilt; overridden later

@ -6,7 +6,8 @@ EAPI=8
# Generate using https://github.com/thesamesam/sam-gentoo-scripts/blob/main/niche/generate-qemu-docs
# Set to 1 if prebuilt, 0 if not
# (the construct below is to allow overriding from env for script)
QEMU_DOCS_PREBUILT=${QEMU_DOCS_PREBUILT:-1}
: ${QEMU_DOCS_PREBUILT:=1}
QEMU_DOCS_PREBUILT_DEV=sam
QEMU_DOCS_VERSION=$(ver_cut 1-3)
# Default to generating docs (inc. man pages) if no prebuilt; overridden later

@ -18,7 +18,7 @@ SRC_URI="https://github.com/hashicorp/vagrant/archive/v${PV}.tar.gz -> ${P}.tar.
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"
KEYWORDS="~amd64 ~arm64"
IUSE="test"
RESTRICT="!test? ( test )"

Binary file not shown.

@ -1,2 +1 @@
DIST fontconfig.eselect-1.1.bz2 1713 BLAKE2B 30af0471a52d7e2785e6e0e5847f51f3a11d0fb53eb800a5314e18dbb61694f1542d71c3e0f4ceccf82a396432113529b0fdb1b5fc6eba37550b27410565c61e SHA512 3b5978e20009754f09cd39e39771e8151cbb7bda60378cda718182b2df2c267a64af5ead220a079fbeeffb30586bc432bbc83b94e4f910205c4a29040cd2ccbd
DIST fontconfig.eselect-20220403.xz 1396 BLAKE2B ff29f82f1d8ec945fbb555a7bbbf6c672e281c0c2b9352b22feafd298805ce1f039b43868da20c6fdc540c63117aa0ca2c181440d44394180f5fb4bfbd3e8278 SHA512 aa18510362e0577d4d0959000710b2e35e9870167d18b10e086ff19ed25e8956c5d1f71a1cfbdc7496d417822baf6ebdd9e0044ce9cc220c0aaa4b8ba5694d34

@ -1,23 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
DESCRIPTION="An eselect module to manage /etc/fonts/conf.d symlinks"
HOMEPAGE="https://gitweb.gentoo.org/proj/eselect-fontconfig.git"
SRC_URI="https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/fontconfig.eselect-${PV}.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE=""
RDEPEND=">=app-admin/eselect-1.2.3
>=media-libs/fontconfig-2.4"
S=${WORKDIR}
src_install() {
insinto /usr/share/eselect/modules
newins "${S}"/fontconfig.eselect-${PV} fontconfig.eselect
}

@ -1,21 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DESCRIPTION="An eselect module to manage /etc/fonts/conf.d symlinks"
HOMEPAGE="https://gitweb.gentoo.org/proj/eselect-fontconfig.git"
SRC_URI="https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/fontconfig.eselect-${PV}.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
RDEPEND=">=app-admin/eselect-1.2.3"
S=${WORKDIR}
src_install() {
insinto /usr/share/eselect/modules
newins fontconfig.eselect-${PV} fontconfig.eselect
}

Binary file not shown.

@ -1,2 +1 @@
DIST dbskkd-cdb-2.00.tar.gz 9296 BLAKE2B d863e2a05cdcf9c8c030c2e3cc2a46a22f5bb01d844ee5120d686a672952ff2609f994fe8a4915daa5b293357f3da87cc9f702f7307dc162a20ffd0a7d47f804 SHA512 3582728d2a1917c00437b273208fa150a5a32dcd462752c6751ddbd574ca7f1476b2aca0d2613471a800bd17f80e2c4b60846f9056ae621996f8f5a5592fa22a
DIST dbskkd-cdb-3.00.tar.gz 9380 BLAKE2B 81b167485a0ac287c01a5cab2fc638d4303bb8e1529dfc14b89ba8242915de38165acba5d0df00714bf8b1c5b190b3cf655e654e96bae5081bd3fba1f71e7a6a SHA512 a3fe5a0f2e96828d22a75e4daf36eecaa8d903efe8c8a5f6972178f52dc01cac5df5f3e1d8a2cf684d6b78a9c10c207b655a296ceb456dec9f0e502142de094b

@ -1,62 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit flag-o-matic toolchain-funcs
DESCRIPTION="SKK dictionary server based on cdb"
HOMEPAGE="https://github.com/jj1bdx/dbskkd-cdb"
SRC_URI="https://storage.googleapis.com/google-code-archive-downloads/v2/code.google.com/${PN}/${P}.tar.gz"
LICENSE="BSD-2"
SLOT="0"
KEYWORDS="amd64 ppc x86"
DEPEND="|| (
dev-db/tinycdb
dev-db/cdb
)
"
RDEPEND="
acct-group/dbskkd
acct-user/dbskkd
app-i18n/skk-jisyo[cdb]
sys-apps/xinetd
"
PATCHES=( "${FILESDIR}"/${PN}-gentoo.patch )
src_prepare() {
default
local cdblib=()
if has_version dev-db/cdb; then
append-cflags -I"${EPREFIX}"/usr/include/cdb
local a
for a in cdb.a alloc.a buffer.a byte.a unix.a; do
cdblib+=( "${EPREFIX}"/usr/$(get_libdir)/${a} )
done
else
cdblib+=( -lcdb )
fi
sed -i "/^CDBLIB/s|=.*$|= ${cdblib[*]}|" Makefile
}
src_compile() {
emake \
CC="$(tc-getCC)" \
COMPAT="-DJISYO_FILE=\\\"${EPREFIX}/usr/share/skk/SKK-JISYO.L.cdb\\\""
}
src_install() {
exeinto /usr/libexec
doexe dbskkd-cdb
dodoc *.txt
einstalldocs
insinto /etc/xinetd.d
newins "${FILESDIR}"/dbskkd-cdb.xinetd dbskkd-cdb
}

@ -11,7 +11,7 @@ SRC_URI="https://github.com/jj1bdx/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="amd64 ~ppc x86"
KEYWORDS="amd64 ppc x86"
DEPEND="
|| (

@ -1,2 +1 @@
DIST FreeWnn-1.1.1-a022.tar.bz2 3137954 BLAKE2B 1f3a920ef7ddb4cddaa95de4d60bccf20c8e6d207216e406cb7dc503411e932b4578ed1c3c302249a94e0ede1d948aa62f5ced804d0d142ed5e04dbbd6789277 SHA512 938c8bff69e2f43cce265a6a84822ae08b89725837f808addb66ba202dadafa60c213638f298d9efe1257fd96f7193fd711a3dacecd803289d925d8f6ea6eaf3
DIST FreeWnn-1.1.1-a023.tar.bz2 3147378 BLAKE2B 63f3fbf37b53e5e6f32f83513d45aaf4915cbd33789ab8edfc93b22de1fbbe242e52e7bd40ce7ef22e24ae1f4ee151261c2041af9c78720875303b5d2b6c18a8 SHA512 f0b8c657f0441463c752314b7d2fd603b4df056b049d247ecd77ff8b2f2f837fed7e75ce89deabca7061d3126afd51bf301bcdd3ac429056f43bfc8e0c7c8385

@ -1,318 +0,0 @@
Description: Fix potential race condition when building in parallel mode
Origin: upstream, http://cvs.sourceforge.jp/cvs/view/freewnn/FreeWnn/Wnn/pubdicplus/Makefile.in?r1=1.7&r2=1.8&view=patch
Bug-Debian: http://bugs.debian.org/724058
--- a/Wnn/pubdicplus/Makefile.in 2010/02/22 17:06:54 1.7
+++ b/Wnn/pubdicplus/Makefile.in 2013/11/08 18:54:44 1.8
@@ -1,5 +1,5 @@
#
-# $Id: Makefile.in,v 1.7 2010/02/22 17:06:54 aonoto Exp $
+# $Id: Makefile.in,v 1.8 2013/11/08 18:54:44 aonoto Exp $
#
#
@@ -10,7 +10,7 @@
# 1987, 1988, 1989, 1990, 1991, 1992
# Copyright OMRON Corporation. 1987, 1988, 1989, 1990, 1991, 1992, 1999
# Copyright ASTEC, Inc. 1987, 1988, 1989, 1990, 1991, 1992
-# Copyright FreeWnn Project 1999, 2000, 2001, 2002, 2004, 2010
+# Copyright FreeWnn Project 1999, 2000, 2001, 2002, 2004, 2010, 2013
#
# Maintainer: FreeWnn Project
#
@@ -42,13 +42,12 @@
ATOF = $(WNNJUTILOBJ)/atof
WNNTOUCH = $(WNNJUTILOBJ)/wnntouch
HINSI = @HINSI_DATA@
- FZK_FLAG =
LINKS = Version bio.hd chimei.hd computer.hd fzk.attr fzk.con fzk.fzkattr fzk.jirattr fzk.jircon fzk.master fzk.shuutan jinmei.hd kihon.hd koyuu.hd setsuji.hd special.hd special.u symbol.hd tankan.hd
WNNDICS = bio.u chimei.u computer.u jinmei.u kihon.u koyuu.u setsuji.u symbol.u tankan.u
-FZK_SRC= fzk.master fzk.attr fzk.jirattr fzk.fzkattr fzk.jircon fzk.con fzk.shuutan
+FZK_SRC= fzk.master-.c fzk.attr fzk.jirattr fzk.fzkattr fzk.jircon fzk.con fzk.shuutan
DIC= bio.dic chimei.dic computer.dic jinmei.dic kihon.dic koyuu.dic setsuji.dic special.dic symbol.dic tankan.dic
@@ -68,24 +67,14 @@
$(RM) $@
$(LN) $? $@
-includes:: Version
-
depend:: Version
-clean::
- $(RM) Version
-
bio.hd: $(PUBDICPLUSSRC)/bio.hd
$(RM) $@
$(LN) $? $@
-includes:: bio.hd
-
depend:: bio.hd
-clean::
- $(RM) bio.hd
-
# bio.u: $(PUBDICPLUSSRC)/bio.u
# $(RM) $@
# $(LN) $? $@
@@ -101,13 +90,8 @@
$(RM) $@
$(LN) $? $@
-includes:: chimei.hd
-
depend:: chimei.hd
-clean::
- $(RM) chimei.hd
-
# chimei.u: $(PUBDICPLUSSRC)/chimei.u
# $(RM) $@
# $(LN) $? $@
@@ -123,13 +107,8 @@
$(RM) $@
$(LN) $? $@
-includes:: computer.hd
-
depend:: computer.hd
-clean::
- $(RM) computer.hd
-
# computer.u: $(PUBDICPLUSSRC)/computer.u
# $(RM) $@
# $(LN) $? $@
@@ -145,90 +124,50 @@
$(RM) $@
$(LN) $? $@
-includes:: fzk.attr
-
depend:: fzk.attr
-clean::
- $(RM) fzk.attr
-
fzk.con: $(PUBDICPLUSSRC)/fzk.con
$(RM) $@
$(LN) $? $@
-includes:: fzk.con
-
depend:: fzk.con
-clean::
- $(RM) fzk.con
-
fzk.fzkattr: $(PUBDICPLUSSRC)/fzk.fzkattr
$(RM) $@
$(LN) $? $@
-includes:: fzk.fzkattr
-
depend:: fzk.fzkattr
-clean::
- $(RM) fzk.fzkattr
-
fzk.jirattr: $(PUBDICPLUSSRC)/fzk.jirattr
$(RM) $@
$(LN) $? $@
-includes:: fzk.jirattr
-
depend:: fzk.jirattr
-clean::
- $(RM) fzk.jirattr
-
fzk.jircon: $(PUBDICPLUSSRC)/fzk.jircon
$(RM) $@
$(LN) $? $@
-includes:: fzk.jircon
-
depend:: fzk.jircon
-clean::
- $(RM) fzk.jircon
-
fzk.master: $(PUBDICPLUSSRC)/fzk.master
$(RM) $@
$(LN) $? $@
-includes:: fzk.master
-
depend:: fzk.master
-clean::
- $(RM) fzk.master
-
fzk.shuutan: $(PUBDICPLUSSRC)/fzk.shuutan
$(RM) $@
$(LN) $? $@
-includes:: fzk.shuutan
-
depend:: fzk.shuutan
-clean::
- $(RM) fzk.shuutan
-
jinmei.hd: $(PUBDICPLUSSRC)/jinmei.hd
$(RM) $@
$(LN) $? $@
-includes:: jinmei.hd
-
depend:: jinmei.hd
-clean::
- $(RM) jinmei.hd
-
# jinmei.u: $(PUBDICPLUSSRC)/jinmei.u
# $(RM) $@
# $(LN) $? $@
@@ -244,13 +183,8 @@
$(RM) $@
$(LN) $? $@
-includes:: kihon.hd
-
depend:: kihon.hd
-clean::
- $(RM) kihon.hd
-
# kihon.u: $(PUBDICPLUSSRC)/kihon.u
# $(RM) $@
# $(LN) $? $@
@@ -266,13 +200,8 @@
$(RM) $@
$(LN) $? $@
-includes:: koyuu.hd
-
depend:: koyuu.hd
-clean::
- $(RM) koyuu.hd
-
# koyuu.u: $(PUBDICPLUSSRC)/koyuu.u
# $(RM) $@
# $(LN) $? $@
@@ -288,13 +217,8 @@
$(RM) $@
$(LN) $? $@
-includes:: setsuji.hd
-
depend:: setsuji.hd
-clean::
- $(RM) setsuji.hd
-
# setsuji.u: $(PUBDICPLUSSRC)/setsuji.u
# $(RM) $@
# $(LN) $? $@
@@ -310,35 +234,20 @@
$(RM) $@
$(LN) $? $@
-includes:: special.hd
-
depend:: special.hd
-clean::
- $(RM) special.hd
-
special.u: $(PUBDICPLUSSRC)/special.u
$(RM) $@
$(LN) $? $@
-includes:: special.u
-
depend:: special.u
-clean::
- $(RM) special.u
-
symbol.hd: $(PUBDICPLUSSRC)/symbol.hd
$(RM) $@
$(LN) $? $@
-includes:: symbol.hd
-
depend:: symbol.hd
-clean::
- $(RM) symbol.hd
-
# symbol.u: $(PUBDICPLUSSRC)/symbol.u
# $(RM) $@
# $(LN) $? $@
@@ -354,13 +263,8 @@
$(RM) $@
$(LN) $? $@
-includes:: tankan.hd
-
depend:: tankan.hd
-clean::
- $(RM) tankan.hd
-
# tankan.u: $(PUBDICPLUSSRC)/tankan.u
# $(RM) $@
# $(LN) $? $@
@@ -421,16 +325,14 @@
$(RM) $@
$(LN) $? $@
-std.fzk: fzk.master-.c $(FZK_SRC)
- $(FZK_PP) $(FZK_FLAG) fzk.master-.c | egrep -v '^(# |#line |#pragma |$$)' | $(ATOF) -h $(HINSI) $@
+std.fsrc: $(FZK_SRC)
+ $(FZK_PP) fzk.master-.c > $@
+
+full.fsrc: $(FZK_SRC)
+ $(FZK_PP) -DKANSAI fzk.master-.c > $@
-full.fzk: $(FZK_SRC)
- $(MAKE) FZK_FLAG=-DKANSAI std.fzk
- $(MV) std.fzk $@
-
-kougo.fzk: $(FZK_SRC)
- $(MAKE) FZK_FLAG=-DKOUGO std.fzk
- $(MV) std.fzk $@
+kougo.fsrc: $(FZK_SRC)
+ $(FZK_PP) -DKOUGO fzk.master-.c > $@
# additional rule from PubdicPlus/Makefile.in : by aono
pod.o: $(PUBDICPLUSSRC)/pod.c
@@ -442,7 +344,7 @@
$(WNNDICS): pod $(PUBDICPLUSSRC)/pubdic.p
./pod $(PUBDICPLUSSRC)/pubdic.p -w -1 -k `basename $@ .u` > $@
-.SUFFIXES: .hd .u .dic .more
+.SUFFIXES: .hd .u .dic .more .fsrc .fzk
.u.dic:
cat $*.hd $< | $(ATOD) -p $(VERSION) -P $(VERSION) -h $(HINSI) $@
@@ -450,7 +352,10 @@
.hd.more:
$(ATOD) -h $(HINSI) $@ < $<
+.fsrc.fzk:
+ egrep -v '^(# |#line |#pragma |$$)' $< | $(ATOF) -h $(HINSI) $@
+
$(DIC): $(HINSI)
clean::
- $(RM) -f *.fzk *.dic *.more fzk.master-.c pod $(LINKS)
+ $(RM) -f *.fsrc *.dic *.more fzk.master-.c pod $(LINKS) $(FZKDATA)

@ -1,57 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="6"
MY_P="FreeWnn-${PV/_alpha/-a0}"
DESCRIPTION="Network-Extensible Kana-to-Kanji Conversion System"
HOMEPAGE="http://freewnn.sourceforge.jp/ http://www.freewnn.org/"
SRC_URI="mirror://sourceforge.jp/${PN}/59257/${MY_P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 arm64 ~hppa ~ia64 ppc ppc64 sparc x86"
IUSE="ipv6"
DEPEND="virtual/libcrypt:="
RDEPEND="${DEPEND}"
S="${WORKDIR}/${MY_P}"
PATCHES=(
"${FILESDIR}"/${P}-parallel-build.patch
"${FILESDIR}"/${PN}-Wformat-security.patch
)
DOCS="ChangeLog* CONTRIBUTORS"
src_prepare() {
default
sed -i \
-e "s/WNNOWNER = wnn/WNNOWNER = root/" \
-e "s/@INSTPGMFLAGS@//" \
makerule.mk.in
# bug #542534
sed -i \
-e "s/egrep -v/egrep -av/" \
PubdicPlus/Makefile.in \
Wnn/pubdicplus/Makefile.in \
cWnn/[ct]dic/Makefile.in \
kWnn/kdic/Makefile.in
}
src_configure() {
econf \
$(use_with ipv6) \
--disable-cWnn \
--disable-kWnn
}
src_install() {
emake DESTDIR="${D}" install install.man
einstalldocs
newinitd "${FILESDIR}"/${PN}.initd ${PN}
}

@ -13,7 +13,7 @@ SRC_URI="mirror://sourceforge.jp/${PN}/63271/${MY_P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 arm64 ~hppa ~ia64 ~ppc ppc64 ~riscv sparc x86"
KEYWORDS="~alpha amd64 arm64 ~hppa ~ia64 ppc ppc64 ~riscv sparc x86"
IUSE="ipv6 uum"
RDEPEND="virtual/libcrypt:=

@ -1,2 +1 @@
DIST ibus-rime-1.4.0.tar.gz 34176 BLAKE2B 69d0392adc78b2b8935f2239c4567d001d3636d0e8ff59aca0b04b3189751a3edd0350eea9e2262b3ae3e639dbd9715c157e44727cc48ba9521801161a1508f4 SHA512 3fc24f4ce390e27d37e41775e4c075c7465cd3e90a9ab61d13ec47c2ca1c2afaafb322f327e18be573aa254a43b8cf6426415500a5d817b835bf4e0615ab9145
DIST ibus-rime-1.5.0.tar.gz 35170 BLAKE2B 30cba341c3ae29438bf94fd93f030d6aa4fde3988d11b1b5e92aa4190ceac7e0776e07248cb1930819f455b378e01e3305fbf687efc997e675f23ff3120037ad SHA512 59b05efe7d5c7dd6dd88a213f05967b19f4946ad0685e29c6c87fbc47ffb3059cc16c88403cfbb945bcbf8637b20d34dcfd91d442c23bb6a9a18d60febbaf27b

@ -1,11 +0,0 @@
--- a/rime_settings.h
+++ b/rime_settings.h
@@ -20,7 +20,7 @@ struct IBusRimeSettings {
struct ColorSchemeDefinition* color_scheme;
};
-struct IBusRimeSettings g_ibus_rime_settings;
+extern struct IBusRimeSettings g_ibus_rime_settings;
void
ibus_rime_load_settings();

@ -1,34 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
DESCRIPTION="Chinese Rime Input Method Engine for IBus"
HOMEPAGE="https://rime.im/ https://github.com/rime/ibus-rime"
SRC_URI="https://github.com/rime/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~x86"
RDEPEND="
app-i18n/ibus
app-i18n/librime
app-i18n/rime-data
x11-libs/libnotify"
DEPEND="${RDEPEND}"
BDEPEND="
dev-util/cmake
virtual/pkgconfig"
PATCHES=( "${FILESDIR}"/${P}-fno-common.patch )
src_prepare() {
sed -i \
-e "/^libexecdir/s:/lib:/libexec:" \
-e "/^[[:space:]]*PREFIX/s:/usr:${EPREFIX}/usr:" \
-e "s/ make/ \$(MAKE)/" Makefile || die
sed -i -e "/exec>/s:/usr/lib:${EPREFIX}/usr/libexec:" rime.xml || die
default
}

@ -1,2 +1 @@
DIST im-chooser-1.7.0.tar.bz2 509630 BLAKE2B 4a7706509ceb19c7292a5c8cf80c8fa0b571819403f30f1fa3002927c69a83522b4de627b1d453db0ada8e662da3624edcb5f85eaf01dfa0187978f2a9b2095c SHA512 2a01488062b5a4dc1e4cd0815dda5a6bcef205dc50ed75d58836c5b46e3f86be79aac70eb5d6753e5f569ccc05015dd6d8de59029e94dc407cc613160d3ac61c
DIST im-chooser-1.7.3.tar.bz2 602217 BLAKE2B d61ad631ff40a25bffef17779b01073062bd70221b7e4ca435b896fc989f9a71036b84a5eb774abd2f42cee218932ccc7511a6056d3aa14d2cb7c262c4b45fe3 SHA512 d43088909e7ba3ad84166965877c4052aad195e360c0583dbc612b46cccd703217b57f149fa584f2f0d3fb706a8bcd6d129c5f9ca407b0a11bb6d304d4a06ef7

@ -1,43 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="8"
inherit autotools xdg
DESCRIPTION="Desktop Input Method configuration tool"
HOMEPAGE="https://pagure.io/im-chooser"
SRC_URI="https://releases.pagure.org/${PN}/${P}.tar.bz2"
LICENSE="GPL-2+ LGPL-2+"
SLOT="0"
KEYWORDS="amd64 ~x86"
IUSE="xfce"
RDEPEND="app-i18n/imsettings
virtual/libintl
x11-libs/gtk+:3
x11-libs/libSM
xfce? ( xfce-base/libxfce4util )"
DEPEND="${RDEPEND}"
BDEPEND="dev-util/intltool
sys-devel/autoconf-archive
sys-devel/gettext
virtual/pkgconfig"
src_prepare() {
sed -i \
-e "/PKG_CHECK_MODULES/s/\(libxfce4util-1\.0\)/$(usex xfce '\1' _)/" \
-e "/^GNOME_/d" \
-e "/^CFLAGS/s/\$WARN_CFLAGS/-Wall -Wmissing-prototypes/" \
configure.ac
sed -i "s/Applications;//" src/app/${PN}.desktop.in.in
default
eautoreconf
}
src_install() {
default
find "${ED}" -name '*.la' -delete || die
}

@ -1,35 +0,0 @@
--- im-freewnn-0.0.2.orig/Makefile.am 2004-08-04 07:05:06.000000000 +0200
+++ im-freewnn-0.0.2/Makefile.am 2009-12-29 20:34:54.420539767 +0100
@@ -10,8 +10,6 @@
DEPS =
-LDADDS = @GTK_DEP_LIBS@ -lcrypt
-
EXTRA_DIST= \
im-freewnn.spec
@@ -38,7 +36,7 @@
candwin.h \
candwin.c
-im_freewnn_la_LIBADD = $(LDADDS) -lcrypt
+im_freewnn_la_LIBADD = @LIBS@ @GTK_DEP_LIBS@ -lcrypt
module_LTLIBRARIES = \
im-freewnn.la
--- im-freewnn-0.0.2.orig/configure.in 2004-08-05 08:04:36.000000000 +0200
+++ im-freewnn-0.0.2/configure.in 2009-12-29 20:36:31.562539161 +0100
@@ -48,11 +48,8 @@
AM_CONDITIONAL(PLATFORM_WIN32, test "$platform_win32" = "yes")
dnl FreeWnn check
-ldflags_backup="$LDFLAGS"
-LDFLAGS="$LDFLAGS -lcrypt"
AC_CHECK_HEADER(wnn/jlib.h,,)
-AC_CHECK_LIB(wnn, jl_open_lang,,)
-LDFLAGS="$ldflags_backup"
+AC_CHECK_LIB([wnn], [jl_open_lang], , ,[-lcrypt])
AC_OUTPUT([
Makefile

@ -1,48 +0,0 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="6"
inherit autotools gnome2-utils prefix
DESCRIPTION="Japanese FreeWnn input method module for GTK+2"
HOMEPAGE="http://bonobo.gnome.gr.jp/~nakai/immodule/"
SRC_URI="http://bonobo.gnome.gr.jp/~nakai/immodule/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 ppc ppc64 x86"
IUSE=""
RDEPEND="app-i18n/freewnn
x11-libs/gtk+:2"
DEPEND="${RDEPEND}
sys-devel/gettext
virtual/pkgconfig"
PATCHES=(
"${FILESDIR}"/${P}-as-needed.patch
"${FILESDIR}"/${PN}-headers.patch
"${FILESDIR}"/${PN}-wnnenvrc.patch
)
src_prepare() {
default
eprefixify ${PN}.c
mv configure.{in,ac} || die
eautoreconf
}
src_install() {
default
find "${ED}" -name '*.la' -delete || die
}
pkg_postinst() {
gnome2_query_immodules_gtk2
}
pkg_postrm() {
gnome2_query_immodules_gtk2
}

@ -1,3 +1,2 @@
DIST imhangul-2.1.0.tar.bz2 268205 BLAKE2B c45cc3e0919c695466f7d09c20c3ee5ae827865b6c3093746f8435bfb3f18da0cf94bc4225829dbafb2f13fcd1da0ec4a696adb966bff90285c769eb36232c4b SHA512 ea4621c4e0e5ed1786e644b577bc0c9f3dbbf296f938ddb2ab04923d8147e01123e10e09a61484e30c3ab0ff51d86da80a93bce583eceee207eab90c27df5f8e
DIST imhangul-2.1.1.tar.bz2 288452 BLAKE2B 14aba1fb582edd735d1469b2fc1c4b576c64f073f525b30a3c5dd681b82d07f7b2960a63c388dae47d93855f25abbfbb2a48b032e5509239325db1cd05ff6b5e SHA512 5db3843aec698bd6315e4c76f3d8ea374b5d985ff7ae8a3d05861afb1d564ffe274d56fa27e8f669884016c50d5fc1850984050d93fdee944c6f7c3c963c96f1
DIST imhangul-3.1.1.tar.bz2 288236 BLAKE2B bb762481c98d8e4d3e1f32629802320fbdd6ec2388e9d7e9f1838fbbcb05f247549dc2baa68e6f4ec626f32b1911b5dfa89810e64c9e826cb1887400bbe11e71 SHA512 a27fb34a826ceccb16e4c8a422f5571c7c6a4c253cd2a55c1025b0c22500a380a35a8703e9f0f6300fdc92544e1d7b59e33f11e059b85754b1619698e0f74d89

@ -1,58 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="6"
inherit gnome2-utils toolchain-funcs
DESCRIPTION="GTK+ 2 Hangul Input Modules"
HOMEPAGE="https://github.com/libhangul/imhangul"
SRC_URI="https://storage.googleapis.com/google-code-archive-downloads/v2/code.google.com/${PN}/${P}.tar.bz2"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="amd64 ppc x86"
IUSE=""
RDEPEND="app-i18n/libhangul
x11-libs/gtk+:2
virtual/libintl"
DEPEND="${RDEPEND}
virtual/pkgconfig
sys-devel/gettext"
src_prepare() {
default
gnome2_environment_reset
gnome2_disable_deprecation_warning
}
src_configure() {
econf --with-gtk-im-module-dir="${EPREFIX}"/usr/$(get_libdir)/gtk-2.0/$($(tc-getPKG_CONFIG) gtk+-2.0 --variable=gtk_binary_version)/immodules
}
src_install() {
default
find "${ED}" -name '*.la' -delete || die
dodoc ${PN}.conf
local s
insinto /etc/X11/xinit/xinput.d
for s in 2{,y} 3{2,9,f,s,y} ahn ro; do
newins "${FILESDIR}"/xinput-${PN}${s} ${PN}${s}.conf
done
}
pkg_postinst() {
gnome2_query_immodules_gtk2
elog
elog "If you want to use one of the module as a default input method, "
elog
elog "export GTK_IM_MODULE=hangul2 # 2 input type"
elog "export GTK_IM_MODULE=hangul3f # 3 input type"
elog
}
pkg_postrm() {
gnome2_query_immodules_gtk2
}

Some files were not shown because too many files have changed in this diff Show More

Loading…
Cancel
Save